unit UnitCancela;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons;

type
  TFCancelar = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    NumNota: TEdit;
    Label3: TLabel;
    Justificar: TEdit;
    btnConfirmar: TButton;
    Button1: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure NumNotaKeyPress(Sender: TObject; var Key: Char);
    procedure JustificarKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure NumNotaKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure JustificarKeyPress(Sender: TObject; var Key: Char);
    procedure btnConfirmarClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FCancelar: TFCancelar;

implementation

uses ACBrNFeMonitor1;

{$R *.dfm}

procedure TFCancelar.FormShow(Sender: TObject);
begin
   vNota:='';
   vAux:='';

   If Consulta<>'S' Then
   Begin
      NumNota.Text:=ClicNota;
      Justificar.Clear;
      NumNota.SetFocus;
   End
   Else
   Begin
     NumNota.Clear;
     NumNota.Text:=frmAcbrNfeMonitor.TBNotasNota.Value;
     Justificar.SetFocus;
   End;
end;

procedure TFCancelar.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   action:=caFree;
   FCancelar:=nil;
end;

procedure TFCancelar.NumNotaKeyPress(Sender: TObject; var Key: Char);
begin
   If not( key in['0'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If Key=#13 Then
   Begin
      Key:=#0;
      Justificar.SetFocus;
   End;
end;

procedure TFCancelar.JustificarKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   BtnConfirmar.SetFocus;
   If Key=VK_UP Then
   NumNota.SetFocus;
end;

procedure TFCancelar.NumNotaKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   Justificar.SetFocus;
end;

procedure TFCancelar.JustificarKeyPress(Sender: TObject; var Key: Char);
begin
   If Key=#13 Then
   Begin
      Key:=#0;
      BtnConfirmar.SetFocus;
   End;
end;

procedure TFCancelar.btnConfirmarClick(Sender: TObject);
begin
   If NumNota.Text='' Then
   Begin
      Application.MessageBox('Digite o nmero da Nota!','Ateno',48+0);

      NumNota.SetFocus;
      Abort;
   End;

   If Length(Justificar.Text) < 15 then
   Begin
      Application.MessageBox('A Justificativa deve ter no minimo 15 caracteres!','Ateno',48+0);
      
      Justificar.SelectAll;
      Justificar.SetFocus;
      Abort;
   End;


   If Justificar.Text<>'' Then
   Begin
      vNota:=NumNota.Text;
      vAux:=Justificar.Text;
      Close;
   End
   Else
   Begin
      Application.MessageBox('Digite a Justificativa!','Ateno',48+0);
      Justificar.SetFocus;
   End;
end;

procedure TFCancelar.Button1Click(Sender: TObject);
begin
   vAux:='';
   Close;
end;

end.

