unit UnitConsultaIE;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask;

type
  TFConsultaIE = class(TForm)
    Label2: TLabel;
    Label1: TLabel;
    EditUF: TEdit;
    btnConfirmar: TButton;
    btnCancelar: TButton;
    EditCnpj: TMaskEdit;
    procedure EditUFKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditCnpjKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditUFKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure btnConfirmarClick(Sender: TObject);
    procedure btnCancelarClick(Sender: TObject);
    procedure EditCnpjKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FConsultaIE: TFConsultaIE;

implementation

uses ACBrNFeMonitor1;

{$R *.dfm}

procedure TFConsultaIE.EditUFKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   EditCnpj.SetFocus;
end;

procedure TFConsultaIE.EditCnpjKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   btnConfirmar.SetFocus;
   If Key=VK_UP Then
   EditUF.SetFocus;
end;

procedure TFConsultaIE.EditUFKeyPress(Sender: TObject; var Key: Char);
begin
   If(Key=#13) Then
   Begin
     Key:=#0;
     EditCnpj.SetFocus;
   End;
end;

procedure TFConsultaIE.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   action:=caFree;
   FConsultaIE:=nil;
end;

procedure TFConsultaIE.FormShow(Sender: TObject);
begin
   UF:='';
   Cnpj:='';

   EditUF.Clear;
   EditCnpj.Clear;

   EditUF.SetFocus;
end;

procedure TFConsultaIE.btnConfirmarClick(Sender: TObject);
begin
   If EditUF.Text='' Then
   Begin
      Application.MessageBox('Digite a UF!','Ateno',48+0);
      EditUF.SetFocus;
      Abort;
   End;

   If EditCnpj.Text='' Then
   Begin
      Application.MessageBox('Digite o Cnpj!','Ateno',48+0);
      EditCnpj.SetFocus;
      Abort;
   End;

   If (EditUF.Text<>'') And (EditCnpj.Text<>'') Then
   Begin
      UF:=EditUF.Text;
      Cnpj:=EditCnpj.Text;
      Close;
   End;
end;

procedure TFConsultaIE.btnCancelarClick(Sender: TObject);
begin
   Close;
end;

procedure TFConsultaIE.EditCnpjKeyPress(Sender: TObject; var Key: Char);
begin
   If(Key=#13) Then
   Begin
     Key:=#0;
     btnConfirmar.SetFocus;
   End;
end;

end.
