unit UnitEmail;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons;

type
  TFEmail = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    NumNota2: TEdit;
    Email: TEdit;
    btnConfirmar: TButton;
    Button1: TButton;
    procedure FormShow(Sender: TObject);
    procedure NumNota2KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure NumNota2KeyPress(Sender: TObject; var Key: Char);
    procedure EmailKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EmailKeyPress(Sender: TObject; var Key: Char);
    procedure btnConfirmarClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FEmail: TFEmail;

implementation

uses ACBrNFeMonitor1;

{$R *.dfm}

procedure TFEmail.FormShow(Sender: TObject);
begin
   vNota2:='';
   vPara:='';

   If Consulta<>'S' Then
   Begin
      NumNota2.Text:=ClicNota;
      Email.Text:=ClicMail;
      NumNota2.SetFocus;
   End
   Else
   Begin
     NumNota2.Text:=frmAcbrNfeMonitor.TBNotasNota.Value;
     Email.Text:=frmAcbrNfeMonitor.TBNotasEmail.Value;
     Email.SetFocus;
   End;
end;

procedure TFEmail.NumNota2KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   Email.SetFocus;
end;

procedure TFEmail.NumNota2KeyPress(Sender: TObject; var Key: Char);
begin
   If not( key in['0'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If Key=#13 Then
   Begin
      Key:=#0;
      Email.SetFocus;
   End;
end;

procedure TFEmail.EmailKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   BtnConfirmar.SetFocus;
   If Key=VK_UP Then
   NumNota2.SetFocus;
end;

procedure TFEmail.EmailKeyPress(Sender: TObject; var Key: Char);
begin
   If Key=#13 Then
   Begin
      Key:=#0;
      BtnConfirmar.SetFocus;
   End;
end;

procedure TFEmail.btnConfirmarClick(Sender: TObject);
begin
   If NumNota2.Text='' Then
   Begin
      Application.MessageBox('Digite o nmero da Nota!','Ateno',48+0);

      NumNota2.SetFocus;
      Abort;
   End;

   If Email.Text<>'' Then
   Begin
      vNota2:=NumNota2.Text;
      vPara:=Email.Text;
      Close;
   End
   Else
   Begin
      Application.MessageBox('Digite o E-mail!','Ateno',48+0);
      Email.SetFocus;
   End;
end;

procedure TFEmail.Button1Click(Sender: TObject);
begin
   vPara:='';
   Close;
end;

end.
 
