{$I ACBr.inc}

unit ACBrNFeMonitor1;

interface

uses IniFiles, CmdUnitNFe, FileCtrl, Printers,
  IdBaseComponent, IdComponent, IdTCPServer,
  ShellAPI,                                { Unit para criar icone no Systray }
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Buttons, Spin, Menus, ImgList,
  ACBrNFe, ACBrNFeDANFEClass, ACBrNFeDANFERave, pcnConversao, OleCtrls,
  SHDocVw, ACBrNFeUtil, ACBrNFeDANFERaveCB, DbPwDlg, RpDefine, RpRave,
  AcroPDFLib_TLB, jpeg, Grids, DBGrids, DB, DBTables, Mask, DBClient,
  dbcgrids;

const
   BufferMemoResposta = 1000 ;              { Maximo de Linhas no MemoResposta }
   _C = 'tYk*5W@' ;
   wm_IconMessage = wm_User;

{$I versao.txt}
type
  TfrmAcbrNfeMonitor = class(TForm)
    pPrincipal: TPanel;
    pCmd: TPanel;
    pResp: TPanel;
    pTodResp: TPanel;
    mCmd: TMemo;
    pmTray: TPopupMenu;
    Restaurar1: TMenuItem;
    Ocultar1: TMenuItem;
    N1: TMenuItem;
    EncerrarMonitor1: TMenuItem;
    Timer1: TTimer;
    TCPServer: TIdTCPServer;
    ImageList1: TImageList;
    Timer2: TTimer;
    PageControl1: TPageControl;
    Monitor: TTabSheet;
    gbTCP: TGroupBox;
    Label12: TLabel;
    Label13: TLabel;
    edPortaTCP: TEdit;
    sedConexoesTCP: TSpinEdit;
    gbTXT: TGroupBox;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    edEntTXT: TEdit;
    edSaiTXT: TEdit;
    sedIntervalo: TSpinEdit;
    gbSenha: TGroupBox;
    Label17: TLabel;
    edSenha: TEdit;
    gbLog: TGroupBox;
    Label18: TLabel;
    Label19: TLabel;
    sbLog: TSpeedButton;
    edLogArq: TEdit;
    sedLogLinhas: TSpinEdit;
    rbTCP: TRadioButton;
    cbSenha: TCheckBox;
    rbTXT: TRadioButton;
    cbLog: TCheckBox;
    Certificado: TTabSheet;
    WebService: TTabSheet;
    GroupBox4: TGroupBox;
    Label6: TLabel;
    sbPathSalvar: TSpeedButton;
    cbUF: TComboBox;
    ckSalvar: TCheckBox;
    edtPathLogs: TEdit;
    rgTipoAmb: TRadioGroup;
    gbxProxy: TGroupBox;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    edtProxyHost: TEdit;
    edtProxyPorta: TEdit;
    edtProxyUser: TEdit;
    edtProxySenha: TEdit;
    rgFormaEmissao: TRadioGroup;
    gbxRetornoEnvio: TGroupBox;
    Label36: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    cbxAjustarAut: TCheckBox;
    edtTentativas: TEdit;
    edtIntervalo: TEdit;
    edtAguardar: TEdit;
    Email: TTabSheet;
    GroupBox1: TGroupBox;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    edtSmtpHost: TEdit;
    edtSmtpPort: TEdit;
    edtSmtpUser: TEdit;
    edtSmtpPass: TEdit;
    edtEmailAssunto: TEdit;
    cbEmailSSL: TCheckBox;
    mmEmailMsg: TMemo;
    DANFE: TTabSheet;
    Diretorios: TTabSheet;
    sbPathNFe: TSpeedButton;
    Label32: TLabel;
    Label33: TLabel;
    sbPathCan: TSpeedButton;
    Label34: TLabel;
    sbPathInu: TSpeedButton;
    Label35: TLabel;
    sbPathDPEC: TSpeedButton;
    Label28: TLabel;
    sbPathPDF: TSpeedButton;
    cbxSalvarArqs: TCheckBox;
    cbxPastaMensal: TCheckBox;
    cbxAdicionaLiteral: TCheckBox;
    edtPathNFe: TEdit;
    edtPathCan: TEdit;
    edtPathInu: TEdit;
    edtPathDPEC: TEdit;
    edtPathPDF: TEdit;
    cbxEmissaoPathNFe: TCheckBox;
    Recursos: TTabSheet;
    btnEnviar: TButton;
    btnValidarXML: TButton;
    OpenDialog2: TOpenDialog;
    MainMenu1: TMainMenu;
    MenuCadastros: TMenuItem;
    Sair1: TMenuItem;
    Finalizar: TMenuItem;
    StatusdoServio1: TMenuItem;
    N2: TMenuItem;
    Configurar1: TMenuItem;
    N3: TMenuItem;
    Correio: TMenuItem;
    NFe1: TMenuItem;
    ConsultarNFe: TMenuItem;
    N4: TMenuItem;
    CAncelarNFe1: TMenuItem;
    N5: TMenuItem;
    ReimprimirDanfe1: TMenuItem;
    N6: TMenuItem;
    VisualizarPdf1: TMenuItem;
    btCancelar: TBitBtn;
    btSalvar: TBitBtn;
    PageControl2: TPageControl;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    trvwNFe: TTreeView;
    TabSheet5: TTabSheet;
    TrvwNFe2: TTreeView;
    TabSheet6: TTabSheet;
    TrvwNFe3: TTreeView;
    TabSheet7: TTabSheet;
    TrvwNFe4: TTreeView;
    TabSheet8: TTabSheet;
    TrvwNFe5: TTreeView;
    TabSheet9: TTabSheet;
    TabSheet10: TTabSheet;
    TabSheet11: TTabSheet;
    TabSheet12: TTabSheet;
    TrvwNFe6: TTreeView;
    TrvwNFe7: TTreeView;
    TrvwNFe8: TTreeView;
    TrvwNFe9: TTreeView;
    N7: TMenuItem;
    LimparResultados1: TMenuItem;
    MemoLog: TMemo;
    TabSheet13: TTabSheet;
    Panel1: TPanel;
    PanelWeb: TPanel;
    WBResposta: TWebBrowser;
    DSBranco: TDataSource;
    ConsultasSefaz1: TMenuItem;
    Disponibilidade1: TMenuItem;
    TBNotas: TClientDataSet;
    TBNotasData: TDateField;
    TBNotasCliente: TStringField;
    TBNotasNota: TStringField;
    TBNotasXml: TStringField;
    DSNotas: TDataSource;
    N8: TMenuItem;
    ConsultaInscEst1: TMenuItem;
    N9: TMenuItem;
    ConsultarNFe1: TMenuItem;
    PanelDados: TPanel;
    Label40: TLabel;
    Label43: TLabel;
    Label46: TLabel;
    Label47: TLabel;
    LRazao: TLabel;
    LInscricao: TLabel;
    LCnpj: TLabel;
    btnFechar: TBitBtn;
    Bevel2: TBevel;
    N10: TMenuItem;
    ConsultarCnpj1: TMenuItem;
    OpenDialog1: TOpenDialog;
    ACBrNFe1: TACBrNFe;
    ACBrNFeDANFERave1: TACBrNFeDANFERave;
    Label3: TLabel;
    edtSiteEmpresa: TEdit;
    Label26: TLabel;
    edtFaxEmpresa: TEdit;
    Label4: TLabel;
    edtEmailEmpresa: TEdit;
    rgModeloDanfe: TRadioGroup;
    rgTipoDanfe: TRadioGroup;
    Label5: TLabel;
    cbxImpressora: TComboBox;
    Label1: TLabel;
    edtNumCopia: TEdit;
    Label7: TLabel;
    edtLogoMarca: TEdit;
    cbxImpDescPorc: TCheckBox;
    cbxMostrarPreview: TCheckBox;
    cbxHoraSaida: TCheckBox;
    cbxExibeResumo: TCheckBox;
    cbxImpValLiq: TCheckBox;
    cbxFormCont: TCheckBox;
    sbLogoMarca: TSpeedButton;
    rgTipoFonte: TRadioGroup;
    gbxMargem: TGroupBox;
    Label2: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    edtMargemInf: TEdit;
    edtMargemSup: TEdit;
    edtMargemDir: TEdit;
    edtMargemEsq: TEdit;
    rgCasasDecimaisQtd: TRadioGroup;
    rgCasasDecimaisValor: TRadioGroup;
    btnInutilizar: TButton;
    DSResposta: TDataSource;
    TBResposta: TClientDataSet;
    TabSheet1: TTabSheet;
    mResp: TMemo;
    DBGridResposta: TDBGrid;
    TBRespostaData: TDateField;
    TBRespostaNota: TStringField;
    TBRespostaMotivo: TStringField;
    TBRespostaRetorno: TStringField;
    Panel5: TPanel;
    Label64: TLabel;
    Label42: TLabel;
    PanelDatas: TPanel;
    Label41: TLabel;
    MaskEdit4: TMaskEdit;
    MaskEdit5: TMaskEdit;
    Panel2: TPanel;
    EditConsulta2: TMemo;
    EditPesquisaCliente: TEdit;
    DBGridConsulta: TDBGrid;
    Panel4: TPanel;
    TBRespostaCliente: TStringField;
    btnFormulario: TBitBtn;
    Label27: TLabel;
    edtSoftwareHouse: TEdit;
    Panel3: TPanel;
    Label39: TLabel;
    Edit1: TEdit;
    SpeedButton1: TSpeedButton;
    gbxCertificado: TGroupBox;
    lblCaminho: TLabel;
    lblSenha: TLabel;
    sbArquivoCert: TSpeedButton;
    Label44: TLabel;
    SpeedButton2: TSpeedButton;
    edtCaminho: TEdit;
    edtSenha: TEdit;
    Edit2: TEdit;
    TBNotasEmail: TStringField;
    TBNotasCodigo: TAutoIncField;
    TBRespostaCodigo: TAutoIncField;
    Bevel1: TBevel;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Bevel5: TBevel;
    Bevel6: TBevel;
    Bevel7: TBevel;
    Bevel8: TBevel;
    SobreoEmissor1: TMenuItem;
    N11: TMenuItem;
    TBRespostaEmail: TStringField;
    N12: TMenuItem;
    Manual1: TMenuItem;
    Button1: TButton;
    procedure DoACBrTimer(Sender: TObject);
    procedure edOnlyNumbers(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
    procedure Restaurar1Click(Sender: TObject);
    procedure Ocultar1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btMinimizarClick(Sender: TObject);
    procedure btCancelarClick(Sender: TObject);
    procedure rbTCPClick(Sender: TObject);
    procedure cbSenhaClick(Sender: TObject);
    procedure cbLogClick(Sender: TObject);
    procedure TCPServerConnect(AThread: TIdPeerThread);
    procedure TCPServerDisconnect(AThread: TIdPeerThread);
    procedure TCPServerExecute(AThread: TIdPeerThread);
    procedure sbArquivoCertClick(Sender: TObject);
    procedure sbLogoMarcaClick(Sender: TObject);
    procedure PathClick(Sender: TObject);
    procedure btnValidarXMLClick(Sender: TObject);
    procedure btnEnviarClick(Sender: TObject);
    procedure edtNumCopiaKeyPress(Sender: TObject; var Key: Char);
    procedure edtMargemInfKeyPress(Sender: TObject; var Key: Char);
    procedure sbPathPDFClick(Sender: TObject);
    procedure rgModeloDanfeClick(Sender: TObject);
    procedure EncerrarMonitor1Click(Sender: TObject);
    procedure sbPathNFeClick(Sender: TObject);
    procedure sbPathSalvarClick(Sender: TObject);
    procedure sbPathCanClick(Sender: TObject);
    procedure sbPathInuClick(Sender: TObject);
    procedure sbPathDPECClick(Sender: TObject);
    procedure cbxAjustarAutClick(Sender: TObject);
    procedure cbxPastaMensalClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btSalvarClick(Sender: TObject);
    procedure StatusdoServio1Click(Sender: TObject);
    procedure FinalizarClick(Sender: TObject);
    procedure CorreioClick(Sender: TObject);
    procedure ReimprimirDanfe1Click(Sender: TObject);
    procedure CAncelarNFe1Click(Sender: TObject);
    procedure VisualizarPdf1Click(Sender: TObject);
    procedure Configurar1Click(Sender: TObject);
    procedure LimparResultados1Click(Sender: TObject);
    procedure ACBrNFe1GerarLog(const Mensagem: String);
    procedure EditConsulta2KeyPress(Sender: TObject; var Key: Char);
    procedure EditConsulta2Enter(Sender: TObject);
    procedure EditConsulta2Click(Sender: TObject);
    procedure MaskEdit4Enter(Sender: TObject);
    procedure MaskEdit4Exit(Sender: TObject);
    procedure MaskEdit5Exit(Sender: TObject);
    procedure MaskEdit4KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure MaskEdit5KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditConsulta2KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditPesquisaClienteKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure MaskEdit4KeyPress(Sender: TObject; var Key: Char);
    procedure MaskEdit4Click(Sender: TObject);
    procedure MaskEdit5Click(Sender: TObject);
    procedure MaskEdit5KeyPress(Sender: TObject; var Key: Char);
    procedure DBGridConsultaKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditPesquisaClienteKeyPress(Sender: TObject; var Key: Char);
    procedure EditPesquisaClienteClick(Sender: TObject);
    procedure EditPesquisaClienteEnter(Sender: TObject);
    procedure DBGridConsultaCellClick(Column: TColumn);
    procedure DBGridConsultaKeyPress(Sender: TObject; var Key: Char);
    procedure ACBrNFe1StatusChange(Sender: TObject);
    procedure Disponibilidade1Click(Sender: TObject);
    procedure ConsultarNFe1Click(Sender: TObject);
    procedure ConsultaInscEst1Click(Sender: TObject);
    procedure btnFecharClick(Sender: TObject);
    procedure ConsultarCnpj1Click(Sender: TObject);
    procedure btnInutilizarClick(Sender: TObject);
    procedure ConsultarNFeClick(Sender: TObject);
    procedure DBGridRespostaDrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure DBGridRespostaKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure btnFormularioClick(Sender: TObject);
    procedure DBGridRespostaCellClick(Column: TColumn);
    procedure SobreoEmissor1Click(Sender: TObject);
    procedure DBGridConsultaDrawColumnCell(Sender: TObject;
      const Rect: TRect; DataCol: Integer; Column: TColumn;
      State: TGridDrawState);
    procedure Manual1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    ACBrNFeMonitorINI : string;
    Inicio  : Boolean ;
    ArqSaiTXT, ArqSaiTMP, ArqEntTXT, ArqLogTXT, ArqEntOrig, ArqSaiOrig : String ;
    NewLines : String ;
    fsHashSenha:Integer;
    fsLinesLog : AnsiString ;
    Cmd : TACBrNFeCmd ;

    procedure ExibeResp( Resposta : AnsiString );
    procedure Inicializar ;
    procedure EscondeConfig ;
    procedure ExibeConfig ;
    procedure AjustaLinhasLog ;

    procedure Resposta(Comando, Resposta : string);

    procedure AddLinesLog ;

    procedure TrataErros(Sender: TObject; E: Exception);

    procedure IconTray (var Msg: TMessage);
    message wm_IconMessage;

    procedure WMNCHitTest(var M: TWMNCHitTest); message wm_NCHitTest;

  public
    { Public declarations }
    nid: TNotifyIconData;
    Conexao : TIdPeerThread ;

    procedure Processar ;
    procedure LerIni ;
    procedure SalvarIni ;
    procedure Estrutura();
    procedure LerEmail();
    procedure Limpar();
    procedure Leitura();
    procedure LoadXML(MyMemo: TMemo; MyWebBrowser: TWebBrowser);
  end;

var
  frmAcbrNfeMonitor: TfrmAcbrNfeMonitor;
  Senha,Abrir,Trava:Integer;
  vPara,vAux,Gravar,Mail,Consulta,Aprovar,EnvMail,UF,Cnpj,vNota,vNota2,vNota3,Anular,ClicNota,ClicMail,NotaMail:String;

implementation

uses ACBrUtil, IdStack, UtilUnit, DoACBrNFeUnit, UnitSenha, UnitVisualizar,
  UnitEmail, UnitCancela, UnitModule, ufrmStatus, UrlMon, UnitConsultaIE,
  UnitDanfe, UnitSobre;

const
  SELDIRHELP = 1000;

procedure TfrmAcbrNfeMonitor.WMNCHitTest(var M: TWMNCHitTest);
begin
   inherited;
   if M.Result = htCaption  then
   M.Result := htClient;
end;

procedure TfrmAcbrNfeMonitor.LerEmail();
Var
arq: TextFile;
linha: String;
begin
AssignFile (arq,'C:\Emissor Fiscal\Email\Email' + NotaMail + '.TXT');
Reset ( arq );
ReadLn ( arq, linha );

Mail:=Linha;

CloseFile ( arq );
end;

procedure TfrmAcbrNfeMonitor.Limpar();
Begin
   Trava:=0;
   Consulta:='';

   TBNotas.Filtered:=False;
   DBGridConsulta.DataSource:=DSBranco;

   EditPesquisaCliente.Clear;
   EditConsulta2.Clear;
   MaskEdit4.Clear;
   MaskEdit5.Clear;
End;

procedure TfrmAcbrNfeMonitor.Leitura();
Var
  ArqPDF: String;
Begin
   PanelWeb.Visible:=True;
   WBResposta.Navigate(Gravar);
   Estrutura();

   If EnvMail='S' Then
   Begin
      ACBrNFe1.NotasFiscais.ImprimirPDF;
      ArqPDF := ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID ;
      ArqPDF := StringReplace(ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID,'NFe', '', [rfIgnoreCase]);
      ArqPDF :=PathWithDelim(ACBrNFe1.DANFE.PathPDF)+ ArqPDF+'.pdf';

      If Mail<>'' Then
      Begin
         try
           EnviarEmail(edtSmtpHost.Text, edtSmtpPort.Text, edtSmtpUser.Text, edtSmtpPass.Text, edtSmtpUser.Text, Mail, edtEmailAssunto.Text, Gravar, ArqPDF, mmEmailMsg.Lines, cbEmailSSL.Checked);
         except
           on E: Exception do
           begin
              raise Exception.Create('Erro ao enviar email'+sLineBreak+E.Message);
              exit;
           end;
         end;
      End;

      EnvMail:='N';
   End;
End;

function tdStrIsDate(const S: string): boolean;
begin
  try
  StrToDate(S);
  Result := true;
  except
  Result := false;
  end;
end;

Function Alltrim(const Search: string): string;
{Remove os espaos em branco de ambos os lados da string}
const
BlackSpace = [#33..#126];
var
Index: byte;
begin
Index:=1;
while (Index <= Length(Search)) and not (Search[Index] in BlackSpace) do
       begin
       Index:=Index + 1;
       end;
Result:=Copy(Search, Index, 255);
Index := Length(Result);
while (Index > 0) and not (Result[Index] in BlackSpace) do
       begin
       Index:=Index - 1;
       end;
Result := Copy(Result, 1, Index);
end;

procedure TfrmAcbrNfeMonitor.LoadXML(MyMemo: TMemo; MyWebBrowser: TWebBrowser);
begin
  MyMemo.Lines.SaveToFile(ExtractFileDir(application.ExeName)+'temp.xml');
  MyWebBrowser.Navigate(ExtractFileDir(application.ExeName)+'temp.xml');
end;

function RemoveAcentos(Str:String): String;
Const ComAcento = '';
SemAcento = 'aaeouaoaeioucuAAEOUAOAEIOUCU';
Var
x : Integer;
Begin
For x := 1 to Length(Str) do
Begin
if Pos(Str[x],ComAcento)<>0 Then
begin
Str[x] := SemAcento[Pos(Str[x],ComAcento)];
end;
end;
Result := Str;
end;


Function EditaArq(filename,Text:String): Boolean;
var
arquivo : TStringList;
begin
result := False;
try
arquivo := TStringList.Create;
if fileexists(filename) then
begin
arquivo.LoadFromFile(filename);
end;
if arquivo.Count >= 100 then
begin
result := False;
end
else
begin
arquivo.Add(Text);
arquivo.SaveToFile(filename);
result := True;
end;
Except
Result := False;
end;
arquivo.free;
end;

Function ColocaMascara(num: String; tipo: Integer): string;
begin
  if tipo = 1 then
  begin
     Result := copy(num,1,3)+'.'+copy(num,4,3)+'.'+copy(num,7,3)+'-'+copy(num,10,4);  //999.999.999-9999
  end;

  if tipo = 2 then
  begin
     Result := copy(num,1,2)+'.'+copy(num,3,3)+'.'+copy(num,6,3)+'/'+copy(num,9,4)+'-'+copy(num,13,2);  //00.000.000/0000-00
  end;
end;


{$R *.dfm}

procedure TfrmAcbrNfeMonitor.ExibeResp( Resposta : AnsiString );
var
 StrLstResposta : TStringList;
begin
 StrLstResposta := TStringList.Create;
 StrLstResposta.Text := UTF8Encode(Resposta);
 StrLstResposta.SaveToFile(PathWithDelim(ExtractFileDir(application.ExeName))+'temp.xml');
 StrLstResposta.Free;
end;

procedure TfrmAcbrNfeMonitor.Inicializar;
Var
  Txt    : String ;
  Erro   : String ;
  A : Integer ;
begin
  cbxImpressora.Items.Assign(Printer.Printers);
  Timer1.Enabled := false ;
  Inicio         := false ;
  Erro           := '' ;
  ACBrNFeMonitorINI := ExtractFilePath(Application.ExeName)+ 'ACBrNFeMonitor.ini';

  if not FileExists( ACBrNFeMonitorINI ) then //verifica se o arq. de config existe
  begin                                    //se nao existir vai para as configs
    MessageDlg('Bem vindo ao Emissor NF-e,'+#13#10#13#10+
               'Por favor configure o Emissor NF-e, '+
               'informando o Mtodo de Monitoramento, e a configurao '+
               'do certificado utilizado para assinar e efetuar a conexo segura com os WebServices.'+#13#10#13#10+
               'IMPORTANTE: Aps configurar o '+
               'Mtodo de Monitoramento o Emissor NF-e'+
               ' deve ser reiniciado.',mtInformation,[mbok],0) ;
    {$IFDEF ACBrNFeOpenSSL}
       gbxCertificado.Height := 109;
       rgFormaEmissao.Top := 105;
       lblCaminho.Caption := 'Arquivo PFX';
       edtSenha.Visible := True;
       lblSenha.Visible := True;
    {$ELSE}
       edtSenha.Visible := False;
       lblSenha.Visible := False;
       gbxCertificado.Height := 69;
       lblCaminho.Caption := 'Nmero de Srie';
    {$ENDIF}
   Configurar1.Click ;
    exit ;
  end;

  while not Visible do
  begin
     Application.ProcessMessages ;
     sleep(200) ;
  end ;

  try
     LerIni;
     cbxEmissaoPathNFe.Enabled := cbxPastaMensal.Checked;

     Application.Minimize ;
  except
     on E : Exception do
        Erro := Erro + sLineBreak + E.Message ;
  end ;

  EscondeConfig ;

  try
     AjustaLinhasLog ;  { Diminui / Ajusta o numero de linhas do Log }
  except
     on E : Exception do
        Erro := Erro + sLineBreak +E.Message ;
  end ;

  try
     Timer1.Interval  := sedIntervalo.Value ;
     Timer1.Enabled   := rbTXT.Checked ;
     TcpServer.Active := rbTCP.Checked ;

     mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
  except
     on E : Exception do
        Erro := Erro + sLineBreak + E.Message ;
  end ;

  try
     if rbTCP.Checked then
      begin
        if TcpServer.Active then
        begin
           try
              Txt := 'Endereo: '+TcpServer.LocalName ;
              For A := 0 to IdStack.GStack.LocalAddresses.Count-1 do
                 Txt := Txt + '   ' + IdStack.GStack.LocalAddresses[A] ;
           except
           end ;
           mResp.Lines.Add(Txt) ;
           mResp.Lines.Add( 'Porta: ['+IntToStr(TcpServer.DefaultPort)+']') ;
        end ;
      end
     else
      begin
        mResp.Lines.Add('-------------------------------------------------------------------------');

      end ;

     if cbLog.Checked then
        mResp.Lines.Add('Log de comandos ser gravado em: '+ArqLogTXT) ;

  except
     on E : Exception do
        Erro := Erro + sLineBreak + E.Message ;
  end ;

  if Erro <> '' then
     Raise Exception.Create( Erro );
end;

{------------------------------------------------------------------------------}
procedure TfrmAcbrNfeMonitor.AjustaLinhasLog;
  Procedure AjustaLogFile( AFile : String; LinhasMax : Integer ) ;
    Var LogNew, LogOld : TStringList ;
     I : Integer ;
  begin
     if not FileExists( AFile ) then
        exit ;

     LogOld := TStringList.Create ;
     try
        LogOld.LoadFromFile( AFile );
        if LogOld.Count > LinhasMax then
        begin
           mResp.Lines.Add('Ajustando o tamanho do arquivo: '+AFile) ;
           mResp.Lines.Add('Numero de Linhas atual: '+IntToStr(LogOld.Count) ) ;
           mResp.Lines.Add('Reduzindo para: '+IntToStr(LinhasMax)+ ' linhas' );

           { Se for muito grande  mais rpido copiar para outra lista do que Deletar }
           if (LogOld.Count - LinhasMax) > LinhasMax then
            begin
              LogNew := TStringList.Create ;
              try
                 LogNew.Clear ;

                 For I := LinhasMax downto 1 do
                    LogNew.Add(LogOld[ LogOld.Count - I ] ) ;

                 LogNew.SaveToFile( AFile );
              finally
                 LogNew.Free ;
              end ;
            end
           else
            begin
              { Existe alguma maneira mais rpida de fazer isso ??? }
              LogOld.BeginUpdate ;
              while LogOld.Count > LinhasMax do
                 LogOld.Delete(0) ;
              LogOld.EndUpdate ;
              LogOld.SaveToFile( AFile );
            end ;
        end ;
     finally
        LogOld.Free ;
     end ;
  end ;
begin
  if (sedLogLinhas.Value <= 0) then
     exit ;

  // Ajustado LOG do ACBrNFeMonitor //
  if (cbLog.Checked) then
     AjustaLogFile( ArqLogTXT, sedLogLinhas.Value );

end;

procedure TfrmAcbrNfeMonitor.EscondeConfig;
begin
   Application.ProcessMessages ;
end;

procedure TfrmAcbrNfeMonitor.ExibeConfig;
Var Senha     : String ;
    SenhaOk   : Boolean ;
    HashSenha : Integer ;
begin
  SenhaOk := (fsHashSenha < 1)  ;
  if not SenhaOk then
  begin
     Senha := '' ;
     if InputQuery('Configurao','Digite a Senha de Configurao',Senha) then
     begin
        Senha     := Trim(Senha) ;
        HashSenha := StringCrc16( Senha ) ;
        SenhaOk   := (HashSenha = fsHashSenha) ;
     end ;
  end ;

  if not SenhaOk then
     raise Exception.Create('Senha ['+Senha+'] invlida');

  btCancelar.Visible   := true ;
  btSalvar.Visible   := true ;
  Application.ProcessMessages ;
end;

procedure TfrmAcbrNfeMonitor.LerIni ;
var
  Ini : TIniFile;
  Senha :String ;
  StreamMemo : TMemoryStream;
  OK : Boolean;
begin
  Ini := TIniFile.Create( ACBrNFeMonitorINI ) ;

  try
     { Lendo Senha }
     fsHashSenha := StrToIntDef( LeINICrypt(INI,'ACBrNFeMonitor','HashSenha', _C), -1) ;

     if fsHashSenha < 1 then  { INI antigo no tinha essa chave }
     begin
        Senha := Ini.ReadString('ACBrNFeMonitor','Senha','');
        if Senha <> '' then
           fsHashSenha := StringCrc16(Senha) ;
     end ;

     if fsHashSenha > 0 then
     begin
        cbSenha.Checked := True ;
        edSenha.Text    := 'NADAAQUI' ;
     end ;

     { Parametros do Monitor }
     rbTCP.Checked        := Ini.ReadBool('ACBrNFeMonitor','Modo_TCP',false);
     rbTXT.Checked        := Ini.ReadBool('ACBrNFeMonitor','Modo_TXT',false);
     edPortaTCP.Text      := IntToStr(Ini.ReadInteger('ACBrNFeMonitor','TCP_Porta',3434));
     sedConexoesTCP.Value := Ini.ReadInteger('ACBrNFeMonitor','Conexoes_Simultaneas',1);
     edEntTXT.Text        := Ini.ReadString('ACBrNFeMonitor','TXT_Entrada','ENT.TXT');
     edSaiTXT.Text        := Ini.ReadString('ACBrNFeMonitor','TXT_Saida','SAI.TXT');
     sedIntervalo.Value   := Ini.ReadInteger('ACBrNFeMonitor','Intervalo',50);
     edLogArq.Text        := Ini.ReadString('ACBrNFeMonitor','Arquivo_Log','LOG.TXT');
     cbLog.Checked        := Ini.ReadBool('ACBrNFeMonitor','Gravar_Log',false) and
                           ( edLogArq.Text <> '' ) ;
     sedLogLinhas.Value   := Ini.ReadInteger('ACBrNFeMonitor','Linhas_Log',0);

     ArqEntTXT := 'C:\Emissor Fiscal\Entrada\' + ( edEntTXT.Text ) ;
     ArqEntOrig := ArqEntTXT;
     ArqSaiTXT := 'C:\Emissor Fiscal\Saida\' + ( edSaiTXT.Text ) ;
     ArqSaiOrig := ArqSaiTXT;
     ArqSaiTMP := ChangeFileExt( ArqSaiTXT, '.tmp' ) ;
     ArqLogTXT := 'C:\Emissor Fiscal\NFe\' + ( edLogArq.Text ) ;

     TcpServer.DefaultPort    := StrToIntDef( edPortaTCP.Text, 3436 ) ;
     TcpServer.MaxConnections := sedConexoesTCP.Value ;
     TcpServer.MaxConnectionReply.Text.Add( 'Pedido de conexo negado.') ;
     TcpServer.MaxConnectionReply.Text.Add(
        'Nmero mximo de conexes ('+sedConexoesTCP.Text+') j atingido' ) ;

     rgFormaEmissao.ItemIndex := Ini.ReadInteger( 'Geral','FormaEmissao',0) ;
     ckSalvar.Checked    := Ini.ReadBool(   'Geral','Salvar'      ,True) ;
     edtPathLogs.Text    := Ini.ReadString( 'Geral','PathSalvar'  ,     PathWithDelim(ExtractFilePath(Application.ExeName))+'Logs') ;
     cbxImpressora.ItemIndex   := cbxImpressora.Items.IndexOf(Ini.ReadString( 'Geral','Impressora','0')) ;

     ACBrNFe1.Configuracoes.Geral.FormaEmissao := StrToTpEmis(OK,IntToStr(rgFormaEmissao.ItemIndex+1));
     ACBrNFe1.Configuracoes.Geral.Salvar       := ckSalvar.Checked;
     ACBrNFe1.Configuracoes.Geral.PathSalvar   := edtPathLogs.Text;

     cbxAjustarAut.Checked  := Ini.ReadBool(   'WebService','AjustarAut' ,False) ;
     edtAguardar.Text       := Ini.ReadString( 'WebService','Aguardar'  ,'0') ;
     edtTentativas.Text     := Ini.ReadString( 'WebService','Tentativas','5') ;
     edtIntervalo.Text      := Ini.ReadString( 'WebService','Intervalo' ,'0') ;

     ACBrNFe1.Configuracoes.WebServices.AjustaAguardaConsultaRet := cbxAjustarAut.Checked;
     if NotaUtil.NaoEstaVazio(edtAguardar.Text)then
        ACBrNFe1.Configuracoes.WebServices.AguardarConsultaRet := NotaUtil.SeSenao(StrToInt(edtAguardar.Text)<1000,StrToInt(edtAguardar.Text)*1000,StrToInt(edtAguardar.Text))
     else
        edtAguardar.Text := IntToStr(ACBrNFe1.Configuracoes.WebServices.AguardarConsultaRet);
     if NotaUtil.NaoEstaVazio(edtTentativas.Text) then
        ACBrNFe1.Configuracoes.WebServices.Tentativas          := StrToInt(edtTentativas.Text)
     else
        edtTentativas.Text := IntToStr(ACBrNFe1.Configuracoes.WebServices.Tentativas);
     if NotaUtil.NaoEstaVazio(edtIntervalo.Text) then
        ACBrNFe1.Configuracoes.WebServices.IntervaloTentativas := NotaUtil.SeSenao(StrToInt(edtIntervalo.Text)<1000,StrToInt(edtIntervalo.Text)*1000,StrToInt(edtIntervalo.Text))
     else
        edtIntervalo.Text := IntToStr(ACBrNFe1.Configuracoes.WebServices.IntervaloTentativas);


     cbUF.ItemIndex       := cbUF.Items.IndexOf(Ini.ReadString( 'WebService','UF','SP')) ;
     rgTipoAmb.ItemIndex  := Ini.ReadInteger( 'WebService','Ambiente'  ,0) ;
     ACBrNFe1.Configuracoes.WebServices.UF         := cbUF.Text;
     ACBrNFe1.Configuracoes.WebServices.Ambiente   := StrToTpAmb(Ok,IntToStr(rgTipoAmb.ItemIndex+1));

     {$IFDEF ACBrNFeOpenSSL}
     gbxCertificado.Height := 109;
     rgFormaEmissao.Top := 105;
     lblCaminho.Caption := 'Arquivo PFX';
     edtSenha.Visible := True;
     lblSenha.Visible := True;
     edtCaminho.Text  := Ini.ReadString( 'Certificado','Caminho' ,'') ;
     edtSenha.Text    := LeINICrypt(INI,'Certificado','Senha', _C) ;
     ACBrNFe1.Configuracoes.Certificados.Certificado  := edtCaminho.Text;
     ACBrNFe1.Configuracoes.Certificados.Senha        := edtSenha.Text;
     {$ELSE}
     edtCaminho.Text  := Ini.ReadString( 'Certificado','Caminho' ,'') ;
     ACBrNFe1.Configuracoes.Certificados.NumeroSerie := edtCaminho.Text;
     edtCaminho.Text := ACBrNFe1.Configuracoes.Certificados.NumeroSerie;
     {$ENDIF}

     edtProxyHost.Text  := Ini.ReadString( 'Proxy','Host'   ,'') ;
     edtProxyPorta.Text := Ini.ReadString( 'Proxy','Porta'  ,'') ;
     edtProxyUser.Text  := Ini.ReadString( 'Proxy','User'   ,'') ;
     edtProxySenha.Text := LeINICrypt(INI, 'Proxy','Pass', _C) ;
     ACBrNFe1.Configuracoes.WebServices.ProxyHost := edtProxyHost.Text;
     ACBrNFe1.Configuracoes.WebServices.ProxyPort := edtProxyPorta.Text;
     ACBrNFe1.Configuracoes.WebServices.ProxyUser := edtProxyUser.Text;
     ACBrNFe1.Configuracoes.WebServices.ProxyPass := edtProxySenha.Text;

     rgTipoDanfe.ItemIndex     := Ini.ReadInteger( 'Geral','DANFE'   ,0) ;
     edtLogoMarca.Text         := Ini.ReadString( 'Geral','LogoMarca','') ;
     rgModeloDanfe.ItemIndex   := Ini.ReadInteger('DANFE','Modelo'   ,0) ;
     edtSoftwareHouse.Text     := Ini.ReadString( 'DANFE','SoftwareHouse'   ,'') ;
     edtSiteEmpresa.Text       := Ini.ReadString( 'DANFE','Site'  ,'') ;
     edtEmailEmpresa.Text      := Ini.ReadString( 'DANFE','Email' ,'') ;
     edtFaxEmpresa.Text        := Ini.ReadString( 'DANFE','Fax'   ,'') ;
     cbxImpDescPorc.Checked    := Ini.ReadBool(   'DANFE','ImpDescPorc',False) ;
     cbxMostrarPreview.Checked := Ini.ReadBool(   'DANFE','MostrarPreview',False) ;
     cbxHoraSaida.Checked      := Ini.ReadBool(   'DANFE','ImprimirHora',False) ;
     edtNumCopia.Text          := Ini.ReadString( 'DANFE','Copias','1') ;
     edtMargemInf.Text         := Ini.ReadString( 'DANFE','Margem','0,8') ;
     edtMargemSup.Text         := Ini.ReadString( 'DANFE','MargemSup','0,8') ;
     edtMargemDir.Text         := Ini.ReadString( 'DANFE','MargemDir','0,51') ;
     edtMargemEsq.Text         := Ini.ReadString( 'DANFE','MargemEsq','0,6') ;
     edtPathPDF.Text           := PathWithDelim(Ini.ReadString( 'DANFE','PathPDF',ExtractFilePath(Application.ExeName))) ;
     rgCasasDecimaisQtd.ItemIndex   := Ini.ReadInteger('DANFE','DecimaisQTD',0) ;
     rgCasasDecimaisValor.ItemIndex := Ini.ReadInteger('DANFE','DecimaisValor',0) ;
     cbxExibeResumo.Checked    := Ini.ReadBool(   'DANFE','ExibeResumo',False) ;
     cbxImpValLiq.Checked      := Ini.ReadBool(   'DANFE','ImprimirValLiq',False) ;
     cbxFormCont.Checked       := Ini.ReadBool(   'DANFE','PreImpresso',False) ;
     rgTipoFonte.ItemIndex     := Ini.ReadInteger( 'DANFE','Fonte'   ,0) ;

     if rgModeloDanfe.ItemIndex = 0 then
     ACBrNFe1.DANFE := ACBrNFeDANFERave1
     else

     if ACBrNFe1.DANFE <> nil then
     begin
        ACBrNFe1.DANFE.TipoDANFE  := StrToTpImp(OK,IntToStr(rgTipoDanfe.ItemIndex+1));
        ACBrNFe1.DANFE.Logo       := edtLogoMarca.Text;
        ACBrNFe1.DANFE.Sistema := edtSoftwareHouse.Text;
        ACBrNFe1.DANFE.Site    := edtSiteEmpresa.Text;
        ACBrNFe1.DANFE.Email   := edtEmailEmpresa.Text;
        ACBrNFe1.DANFE.Fax     := edtFaxEmpresa.Text;
        ACBrNFe1.DANFE.ImprimirDescPorc  := cbxImpDescPorc.Checked;
        ACBrNFe1.DANFE.MostrarPreview    := cbxMostrarPreview.Checked;
        ACBrNFe1.DANFE.ImprimirHoraSaida := cbxHoraSaida.Checked;
        ACBrNFe1.DANFE.Impressora := cbxImpressora.Text;
        ACBrNFe1.DANFE.NumCopias  := StrToIntDef(edtNumCopia.Text, 1);
        ACBrNFe1.DANFE.MargemInferior  := StrToFloatDef(edtMargemInf.Text,0.8);
        ACBrNFe1.DANFE.MargemSuperior  := StrToFloatDef(edtMargemSup.Text,0.8);
        ACBrNFe1.DANFE.MargemDireita   := StrToFloatDef(edtMargemDir.Text,0.51);
        ACBrNFe1.DANFE.MargemEsquerda  := StrToFloatDef(edtMargemEsq.Text,0.6);
        ACBrNFe1.DANFE.PathPDF    := edtPathPDF.Text;
        ACBrNFe1.DANFE.CasasDecimais._qCom   := rgCasasDecimaisQtd.ItemIndex+2;
        ACBrNFe1.DANFE.CasasDecimais._vUnCom := rgCasasDecimaisValor.ItemIndex+2;
        ACBrNFe1.DANFE.ExibirResumoCanhoto  :=  cbxExibeResumo.Checked;
        ACBrNFe1.DANFE.ImprimirTotalLiquido := cbxImpValLiq.Checked;
        ACBrNFe1.DANFE.FormularioContinuo   := cbxFormCont.Checked;
        if ACBrNFe1.DANFE = ACBrNFeDANFERave1 then
           ACBrNFeDANFERave1.RavFile := PathWithDelim(ExtractFilePath(Application.ExeName))+'Report\DANFE_Rave513.rav'
        else
      end;

     edtSmtpHost.Text      := Ini.ReadString( 'Email','Host'   ,'') ;
     edtSmtpPort.Text      := Ini.ReadString( 'Email','Port'   ,'') ;
     edtSmtpUser.Text      := Ini.ReadString( 'Email','User'   ,'') ;
     edtSmtpPass.Text      := LeINICrypt( INI, 'Email','Pass' ,_C) ;
     edtEmailAssunto.Text  := Ini.ReadString( 'Email','Assunto','') ;
     cbEmailSSL.Checked    := Ini.ReadBool(   'Email','SSL'    ,False) ;
     StreamMemo := TMemoryStream.Create;
     Ini.ReadBinaryStream( 'Email','Mensagem',StreamMemo) ;
     mmEmailMsg.Lines.LoadFromStream(StreamMemo);
     StreamMemo.Free;

     cbxSalvarArqs.Checked      := Ini.ReadBool(   'Arquivos','Salvar'     ,false);
     cbxPastaMensal.Checked     := Ini.ReadBool(   'Arquivos','PastaMensal',false);
     cbxAdicionaLiteral.Checked := Ini.ReadBool(   'Arquivos','AddLiteral' ,false);
     cbxEmissaoPathNFe.Checked  := Ini.ReadBool(   'Arquivos','EmissaoPathNFe',false);     
     edtPathNFe.Text            := Ini.ReadString( 'Arquivos','PathNFe'    ,'') ;
     edtPathCan.Text            := Ini.ReadString( 'Arquivos','PathCan'    ,'') ;
     edtPathInu.Text            := Ini.ReadString( 'Arquivos','PathInu'    ,'') ;
     edtPathDPEC.Text           := Ini.ReadString( 'Arquivos','PathDPEC'   ,'') ;

// Impresso Rave

     ACBrNFe1.DANFE:=ACBrNFeDANFERave1;

     If rgTipoDanfe.ItemIndex=0 then
     ACBrNFe1.DANFE.TipoDANFE:=tiRetrato
     Else
     ACBrNFe1.DANFE.TipoDANFE:=tiPaisagem;

     ACBrNFe1.DANFE.Logo:=EdtLogoMarca.Text;
     ACBrNFe1.DANFE.ImprimirDescPorc:= cbxImpDescPorc.Checked;
     ACBrNFe1.DANFE.MostrarPreview:=cbxMostrarPreview.Checked;
     ACBrNFe1.DANFE.ImprimirHoraSaida:=cbxHoraSaida.Checked;
     ACBrNFe1.DANFE.ExibirResumoCanhoto:=cbxExibeResumo.Checked;
     ACBrNFe1.DANFE.ImprimirTotalLiquido:=cbxImpValLiq.Checked;
     ACBrNFe1.DANFE.FormularioContinuo:=cbxFormCont.Checked;
     ACBrNFe1.DANFE.Sistema:=edtSoftwareHouse.Text;
     ACBrNFe1.DANFE.Impressora:=cbxImpressora.Text;
     ACBrNFe1.DANFE.NumCopias:=StrToInt(EdtNumCopia.Text);

// Impresso Rave

     ACBrNFe1.Configuracoes.Arquivos.Salvar           := cbxSalvarArqs.Checked;
     ACBrNFe1.Configuracoes.Arquivos.PastaMensal      := cbxPastaMensal.Checked;
     ACBrNFe1.Configuracoes.Arquivos.AdicionarLiteral := cbxAdicionaLiteral.Checked;
     ACBrNFe1.Configuracoes.Arquivos.EmissaoPathNFe   := cbxEmissaoPathNFe.Checked;
     ACBrNFe1.Configuracoes.Arquivos.PathNFe  := edtPathNFe.Text;
     ACBrNFe1.Configuracoes.Arquivos.PathCan  := edtPathCan.Text;
     ACBrNFe1.Configuracoes.Arquivos.PathInu  := edtPathInu.Text;
     ACBrNFe1.Configuracoes.Arquivos.PathDPEC := edtPathDPEC.Text;
  finally
     Ini.Free ;
  end ;

end;

procedure TfrmAcbrNfeMonitor.SalvarIni;
var
  Ini : TIniFile;
  StreamMemo : TMemoryStream;
  OldMonitoraTXT, OldMonitoraTCP : Boolean ;
begin
  if cbSenha.Checked and (edSenha.Text <> 'NADAAQUI') and (edSenha.Text <> '') then
     fsHashSenha := StringCrc16(edSenha.Text) ;

  Ini := TIniFile.Create( ACBrNFeMonitorINI ) ;
  try
     // Verificando se modificou o Modo de Monitoramento //
     OldMonitoraTCP := Ini.ReadBool('ACBrNFeMonitor','Modo_TCP',false) ;
     OldMonitoraTXT := Ini.ReadBool('ACBrNFeMonitor','Modo_TXT',false) ;

     // Parametros do Monitor //
     Ini.WriteBool('ACBrNFeMonitor','Modo_TCP',rbTCP.Checked);
     Ini.WriteBool('ACBrNFeMonitor','Modo_TXT',rbTXT.Checked);
     Ini.WriteInteger('ACBrNFeMonitor','TCP_Porta',StrToIntDef(edPortaTCP.Text,3434));
     Ini.WriteInteger('ACBrNFeMonitor','Conexoes_Simultaneas',sedConexoesTCP.Value);
     Ini.WriteString('ACBrNFeMonitor','TXT_Entrada',edEntTXT.Text);
     Ini.WriteString('ACBrNFeMonitor','TXT_Saida',edSaiTXT.Text);
     Ini.WriteInteger('ACBrNFeMonitor','Intervalo',sedIntervalo.Value);
     GravaINICrypt(INI,'ACBrNFeMonitor','HashSenha', IntToStrZero(fsHashSenha,8), _C) ;

     Ini.WriteBool('ACBrNFeMonitor','Gravar_Log',cbLog.Checked);
     Ini.WriteString('ACBrNFeMonitor','Arquivo_Log',edLogArq.Text);
     Ini.WriteInteger('ACBrNFeMonitor','Linhas_Log',sedLogLinhas.Value);

     Ini.WriteString( 'Certificado','Caminho' ,edtCaminho.Text) ;
     {$IFDEF ACBrNFeOpenSSL}
     GravaINICrypt(INI,'Certificado','Senha', edtSenha.Text, _C) ;
     {$ENDIF}

     Ini.WriteInteger('Geral','DANFE'       ,rgTipoDanfe.ItemIndex) ;
     Ini.WriteInteger('Geral','FormaEmissao',rgFormaEmissao.ItemIndex) ;
     Ini.WriteString( 'Geral','LogoMarca'   ,edtLogoMarca.Text) ;
     Ini.WriteBool(   'Geral','Salvar'      ,ckSalvar.Checked) ;
     Ini.WriteString( 'Geral','PathSalvar'  ,edtPathLogs.Text) ;
     Ini.WriteString( 'Geral','Impressora'  ,cbxImpressora.Text) ;

     Ini.WriteString( 'WebService','UF'         ,cbUF.Text) ;
     Ini.WriteInteger('WebService','Ambiente'   ,rgTipoAmb.ItemIndex) ;
     Ini.WriteBool(   'WebService','AjustarAut' ,cbxAjustarAut.Checked) ;
     Ini.WriteString( 'WebService','Aguardar'   ,edtAguardar.Text) ;
     Ini.WriteString( 'WebService','Tentativas' ,edtTentativas.Text) ;
     Ini.WriteString( 'WebService','Intervalo'  ,edtIntervalo.Text) ;

     Ini.WriteString( 'Proxy','Host'   ,edtProxyHost.Text) ;
     Ini.WriteString( 'Proxy','Porta'  ,edtProxyPorta.Text) ;
     Ini.WriteString( 'Proxy','User'   ,edtProxyUser.Text) ;
     GravaINICrypt( INI, 'Proxy','Pass',edtProxySenha.Text, _C) ;

     Ini.WriteString( 'Email','Host'    ,edtSmtpHost.Text) ;
     Ini.WriteString( 'Email','Port'    ,edtSmtpPort.Text) ;
     Ini.WriteString( 'Email','User'    ,edtSmtpUser.Text) ;
     GravaINICrypt(INI, 'Email','Pass'  ,edtSmtpPass.Text, _C) ;
     Ini.WriteString( 'Email','Assunto' ,edtEmailAssunto.Text) ;
     Ini.WriteBool(   'Email','SSL'     ,cbEmailSSL.Checked ) ;
     StreamMemo := TMemoryStream.Create;
     mmEmailMsg.Lines.SaveToStream(StreamMemo);
     StreamMemo.Seek(0,soFromBeginning);
     Ini.WriteBinaryStream( 'Email','Mensagem',StreamMemo) ;
     StreamMemo.Free;

     Ini.WriteInteger('DANFE','Modelo'       ,rgModeloDanfe.ItemIndex) ;
     Ini.WriteString( 'DANFE','SoftwareHouse',edtSoftwareHouse.Text) ;
     Ini.WriteString( 'DANFE','Site' ,edtSiteEmpresa.Text) ;
     Ini.WriteString( 'DANFE','Email',edtEmailEmpresa.Text) ;
     Ini.WriteString( 'DANFE','Fax'  ,edtFaxEmpresa.Text) ;
     Ini.WriteBool(   'DANFE','ImpDescPorc'   ,cbxImpDescPorc.Checked);
     Ini.WriteBool(   'DANFE','MostrarPreview',cbxMostrarPreview.Checked);
     Ini.WriteBool(   'DANFE','ImprimirHora'  ,cbxHoraSaida.Checked);
     Ini.WriteString( 'DANFE','Copias'   ,edtNumCopia.Text) ;
     Ini.WriteString( 'DANFE','Margem'   ,edtMargemInf.Text) ;
     Ini.WriteString( 'DANFE','MargemSup',edtMargemSup.Text) ;
     Ini.WriteString( 'DANFE','MargemDir',edtMargemDir.Text) ;
     Ini.WriteString( 'DANFE','MargemEsq',edtMargemEsq.Text) ;
     Ini.WriteString( 'DANFE','PathPDF'  ,edtPathPDF.Text) ;
     Ini.WriteInteger('DANFE','DecimaisQTD'   ,rgCasasDecimaisQtd.ItemIndex  );
     Ini.WriteInteger('DANFE','DecimaisValor' ,rgCasasDecimaisValor.ItemIndex);
     Ini.WriteBool(   'DANFE','ExibeResumo'   ,cbxExibeResumo.Checked) ;
     Ini.WriteBool(   'DANFE','ImprimirValLiq',cbxImpValLiq.Checked) ;
     Ini.WriteBool(   'DANFE','PreImpresso'   ,cbxFormCont.Checked) ;
     Ini.WriteInteger('DANFE','Fonte'         ,rgTipoFonte.ItemIndex) ;     

     Ini.WriteBool(   'Arquivos','Salvar'     ,cbxSalvarArqs.Checked);
     Ini.WriteBool(   'Arquivos','PastaMensal',cbxPastaMensal.Checked);
     Ini.WriteBool(   'Arquivos','AddLiteral' ,cbxAdicionaLiteral.Checked);
     Ini.WriteBool(   'Arquivos','EmissaoPathNFe',cbxEmissaoPathNFe.Checked);     
     Ini.WriteString( 'Arquivos','PathNFe'    ,edtPathNFe.Text) ;
     Ini.WriteString( 'Arquivos','PathCan'    ,edtPathCan.Text) ;
     Ini.WriteString( 'Arquivos','PathInu'    ,edtPathInu.Text) ;
     Ini.WriteString( 'Arquivos','PathDPEC'   ,edtPathDPEC.Text) ;

  finally
     Ini.Free ;
  end ;

  if (OldMonitoraTXT <> rbTXT.Checked) or (OldMonitoraTCP <> rbTCP.Checked) then
  begin
     MessageDlg('O Mtodo de Monitoramento foi modificado'+
                'Ser necessrio reinicar o Emissor NF-e.',
                mtInformation, [mbOk],0) ;
     Application.Terminate ;
  end ;
end;

procedure TfrmAcbrNfeMonitor.Resposta(Comando, Resposta : string );
begin
  if rbTCP.Checked then
  begin
     if Assigned( Conexao ) then
     begin
        if Assigned( Conexao.Connection ) then
        begin
           Conexao.Connection.WriteLn(Resposta) ;
           Conexao.Connection.Write(#3) ;
        end;
     end ;
  end ;

  if rbTXT.Checked then
  begin
     { Primeiro salva em Temporrio para que a gravao de todos os Bytes ocorra
       antes que a aplicao controladora do ACBrMonitor tente ler o arquivo de
       Resposta incompleto }
       TryDeleteFile( ArqSaiTMP, 1000 ) ; // Tenta apagar por at 1 segundo

     if FileExists(ArqSaiTXT) then
        RenameFile(ArqSaiTXT, ArqSaiTMP) ; { GravaArqResp faz append se arq. existir }
        WriteToTXT(ArqSaiTMP, Resposta);
        RenameFile(ArqSaiTMP, ArqSaiTXT) ;

  end ;
       
  mResp.Lines.BeginUpdate ;
  mResp.Lines.Add( Comando + sLineBreak + Resposta ) ;
  while mResp.Lines.Count > BufferMemoResposta do
     mResp.Lines.Delete(0) ;
  mResp.Lines.EndUpdate ;

  if cbLog.Checked then
     WriteToTXT(ArqLogTXT, Comando + sLineBreak + Resposta);
end;

procedure TfrmAcbrNfeMonitor.Processar;
var
  Linha : WideString;
begin
  if NewLines <> '' then
     mCmd.Lines.Add( NewLines ) ;

  NewLines := '' ;

  while mCmd.Lines.Count > 0 do
  begin
     Application.ProcessMessages ;

     Linha := Trim( mCmd.Lines.Text );
     mCmd.Lines.Text := '';

     if Linha <> '' then
     begin
        try
           if pos('.',Linha) = 0 then              { Comandos do ACBrMonitor }
              Linha := 'NFE.'+Linha ;

           Cmd.Comando := Linha ;

           if Cmd.Objeto = 'NFE' then
              DoACBrNFe( Cmd );

           Resposta(Linha,'-> Autorizado o uso da NF-e');
           ExibeResp(ACBrNFe1.WebServices.Retorno.RetWS);
           mResp.Lines.Add('----------------------------------------------------------------------------------------------------------------------------------------------');
        except
           on E : Exception do
           begin
              Resposta(Linha,'-> Erro: '+ E.Message );
              mResp.Lines.Add('----------------------------------------------------------------------------------------------------------------------------------------------');
           end;
        end;
     end;
  end ;
end;

procedure TfrmAcbrNfeMonitor.AddLinesLog ;
begin
  if fsLinesLog <> '' then
  begin
     mResp.Lines.Add( fsLinesLog );
     if cbLog.Checked then
        WriteToTXT(ArqLogTXT, fsLinesLog );
     fsLinesLog := '' ;
  end ;
end ;


procedure TfrmAcbrNfeMonitor.TrataErros(Sender: TObject; E: Exception);
begin
  mResp.Lines.Add( E.Message );
  if cbLog.Checked then
     WriteToTXT(ArqLogTXT, 'Exception: ' + E.Message);
end ;

procedure TfrmAcbrNfeMonitor.IconTray (var Msg: TMessage);
var
  Pt: TPoint;
begin
 if Msg.lParam = WM_RBUTTONDOWN then
  begin
     GetCursorPos (Pt);
     pmTray.Popup (Pt.x, Pt.y);
  end
 else if Msg.lParam = WM_LBUTTONDBLCLK then
  if Visible then
    Ocultar1.Click
  else
   Restaurar1.Click;
end;

procedure TfrmAcbrNfeMonitor.DoACBrTimer(Sender: TObject);
var
   SL    : TStringList ;
   RetFind   : Integer ;
   SearchRec : TSearchRec ;
   NomeArqEnt, NomeArqSai : String;
begin
  Timer1.Enabled := false;

  if Inicio then
  begin
     Inicializar ;
     exit;
  end ;
  
  try
     try
        NomeArqEnt := PathWithDelim(ExtractFileDir(ArqEntOrig)) + StringReplace(ExtractFileName(ArqEntOrig),ExtractFileExt(ArqEntOrig),'',[rfReplaceAll]) +'*'+ExtractFileExt(ArqEntOrig);
        RetFind := SysUtils.FindFirst( NomeArqEnt, faAnyFile, SearchRec) ;
        if (RetFind = 0) then
         begin
           NomeArqEnt := StringReplace(ExtractFileName(ArqEntOrig),ExtractFileExt(ArqEntOrig),'',[rfReplaceAll]);
           NomeArqSai := StringReplace(ExtractFileName(ArqSaiOrig),ExtractFileExt(ArqSaiOrig),'',[rfReplaceAll]);
           ArqEntTXT  := PathWithDelim(ExtractFileDir(ArqEntOrig)) + SearchRec.Name ;  { Arquivo de Requisicao }
           ArqSaiTXT  := PathWithDelim(ExtractFilePath(ArqSaiOrig))+StringReplace( ExtractFileName(UpperCase(ArqEntTXT)),UpperCase(NomeArqEnt),UpperCase(NomeArqSai),[rfReplaceAll]) ;
           ArqSaiTMP  := ChangeFileExt(ArqSaiTXT,'.tmp');
         end;  
     finally
        SysUtils.FindClose(SearchRec) ;
     end ;

     if FileExists( ArqEntTXT ) then  { Existe arquivo para ler ? }
     begin
       { Lendo em StringList temporrio para nao apagar comandos nao processados }
       SL := TStringList.Create ;
       try
          SL.LoadFromFile( ArqEntTXT );
          TryDeleteFile( ArqEntTXT, 1000 ) ; // Tenta apagar por at 1 segundo

          mCmd.Lines.AddStrings( SL );
       finally
          SL.Free ;
       end ;
     end;

     Processar ;
  finally
     Timer1.Enabled := True;
  end ;
end;

procedure TfrmAcbrNfeMonitor.edOnlyNumbers(Sender: TObject;
  var Key: Char);
begin
  if not ( Key in ['0'..'9',#13,#8] ) then
     Key := #0 ;
end;

procedure TfrmAcbrNfeMonitor.FormCreate(Sender: TObject);
begin
  mResp.Clear ;
  mCmd.Clear ;
  Cmd       := TACBrNFeCmd.Create ;

  Inicio    := true ;
  ArqSaiTXT := '' ;
  ArqSaiTMP := '' ;
  ArqEntTXT := '' ;
  ArqLogTXT := '' ;
  Conexao   := nil ;
  NewLines  := '' ;

  { Criando TrayIcon, e copiando Icone do Form }
  Icon.Handle := LoadIcon (HInstance, 'MAINICON');
  nid.cbSize := sizeof (nid);
  nid.wnd := Handle;
  nid.uID := 1; // Identificador do cone
  nid.uCallBAckMessage := wm_IconMessage;
  nid.hIcon := Icon.Handle;
  nid.szTip := 'Emissor NF-e';
  nid.uFlags := nif_Message or
  nif_Icon or nif_Tip;
  Shell_NotifyIcon (NIM_ADD, @nid);

  Caption := ' Emissor NF-e';
  PageControl1.ActivePageIndex := 0;

  Application.OnException        := TrataErros ;
  Application.OnMinimize         := Ocultar1Click ;
  Application.OnRestore          := Restaurar1Click ;
  Application.Title              := Caption ;
  Application.HintHidePause      := 5000 ;

  Timer1.Enabled := True ;
end;

procedure TfrmAcbrNfeMonitor.Restaurar1Click(Sender: TObject);
begin
  Application.ShowMainForm := true ;
  Visible := true ;
  Application.Restore ;
  Application.BringToFront ;
  Application.ProcessMessages ;
end;

procedure TfrmAcbrNfeMonitor.Ocultar1Click(Sender: TObject);
begin
  Visible := false ;
  Application.ShowMainForm := false ;

  Application.ProcessMessages ;
end;

procedure TfrmAcbrNfeMonitor.FormDestroy(Sender: TObject);
begin
  Cmd.Free ;
  nid.uFlags := 0;
  Shell_NotifyIcon (NIM_DELETE, @nid);
  Timer1.Enabled := false ;
end;

procedure TfrmAcbrNfeMonitor.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   TBNotas.Filtered:=False;
   TBResposta.Filtered:=False;
   
   Timer1.Enabled := False ;

   TCPServer.OnDisconnect := nil ;
   TCPServer.Active       := False ;    { Desliga TCP }
end;

procedure TfrmAcbrNfeMonitor.btMinimizarClick(Sender: TObject);
begin
  Ocultar1Click( Sender );
end;

procedure TfrmAcbrNfeMonitor.btCancelarClick(Sender: TObject);
begin
   EscondeConfig ;
   btCancelar.Visible:=False;
   btSalvar.Visible:=False;
   LerIni ;
   PageControl1.Visible:=False;
   PageControl1.SendToBack;

   pTodResp.Caption:='Formulrio Dirio de Respostas';
end;

procedure TfrmAcbrNfeMonitor.rbTCPClick(Sender: TObject);
begin
  gbTCP.Enabled := rbTCP.Checked ;
  gbTXT.Enabled := rbTXT.Checked ;

  if rbTXT.Checked then
   begin
     if edENTTXT.Text = '' then
        edENTTXT.Text := 'ENTNFE.TXT' ;

     if edSAITXT.Text = '' then
        edSAITXT.Text := 'SAINFE.TXT' ;
   end
  else
   begin
     if edPortaTCP.Text = '' then
        edPortaTCP.Text := '3434' ;

     if sedConexoesTCP.Value <= 0 then
        sedConexoesTCP.Value := 1 ;
   end ;
end;

procedure TfrmAcbrNfeMonitor.cbSenhaClick(Sender: TObject);
begin
  gbSenha.Enabled := cbSenha.Checked ;
  if not cbSenha.Checked then
  begin
     fsHashSenha  := -1 ;
     edSenha.Text :=  '' ;
  end ;
end;

procedure TfrmAcbrNfeMonitor.cbLogClick(Sender: TObject);
begin
  gbLog.Enabled := cbLog.Checked ;

  if cbLog.Checked and (edLogArq.Text = '') then
     edLogArq.Text := 'LOG.TXT' ;
end;

procedure TfrmAcbrNfeMonitor.TCPServerConnect(AThread: TIdPeerThread);
begin
  sleep(100);
  Conexao := AThread;
  mCmd.Lines.Clear ;
  Resposta('','Emisso NF-e '+ Versao +sLineBreak +
              'Conectado em: '+FormatDateTime('dd/mm/yy hh:nn:ss', now )+sLineBreak+
              'Mquina: '+AThread.Connection.Socket.Binding.PeerIP+sLineBreak+
              'Esperando por comandos.');
end;

procedure TfrmAcbrNfeMonitor.TCPServerDisconnect(AThread: TIdPeerThread);
begin
  mResp.Lines.Add('ALERTA: Fim da Conexo com: '+
                   AThread.Connection.Socket.Binding.PeerIP+
                  ' em: '+FormatDateTime('dd/mm/yy hh:nn:ss', now ) )
end;

procedure TfrmAcbrNfeMonitor.TCPServerExecute(AThread: TIdPeerThread);
Var
  SL : TStringList;
begin
  { Le o que foi enviado atravez da conexao TCP }
  SL := TStringList.Create ;
  try
     AThread.Connection.Capture( SL );
     NewLines:= SL.Text;
     AThread.Synchronize( Processar );
  finally
     SL.Free ;
  end ;
end;

procedure TfrmAcbrNfeMonitor.sbArquivoCertClick(Sender: TObject);
begin
 {$IFDEF ACBrNFeOpenSSL}
  OpenDialog1.Title := 'Selecione o Certificado';
  OpenDialog1.DefaultExt := '*.pfx';
  OpenDialog1.Filter := 'Arquivos PFX (*.pfx)|*.pfx|Todos os Arquivos (*.*)|*.*';
  OpenDialog1.InitialDir := ExtractFileDir(application.ExeName);
  if OpenDialog1.Execute then
   begin
    edtCaminho.Text := OpenDialog1.FileName;
   end;
  {$ELSE}
   edtCaminho.Text := ACBrNFe1.Configuracoes.Certificados.SelecionarCertificado;
  {$ENDIF}
end;

procedure TfrmAcbrNfeMonitor.sbLogoMarcaClick(Sender: TObject);
begin
  OpenDialog1.Title := 'Selecione o Logo';
  if rgModeloDanfe.ItemIndex = 0 then
   begin
     OpenDialog1.DefaultExt := '*.bmp';
     OpenDialog1.Filter := 'Arquivos BMP (*.bmp)|*.bmp|Todos os Arquivos (*.*)|*.*';
   end
  else
   begin
     OpenDialog1.DefaultExt := '*.jpg';
     OpenDialog1.Filter := 'Arquivos JPG (*.jpg)|*.jpg|Todos os Arquivos (*.*)|*.*';
   end;
  OpenDialog1.InitialDir := ExtractFileDir(application.ExeName);
  if OpenDialog1.Execute then
  begin
    edtLogoMarca.Text := OpenDialog1.FileName;
  end;

 if Length(Trim(edtLogoMarca.Text)) > 0 then
  begin
    if rgModeloDanfe.ItemIndex = 0 then
     begin
       if ExtractFileExt(edtLogoMarca.Text) <> '.bmp' then
        begin
          MessageDlg('O arquivo de logo deve ser no formato bmp.',mtError,[mbOk],0);
          edtLogoMarca.SetFocus;
        end;
     end
    else
     begin
       if ExtractFileExt(edtLogoMarca.Text) <> '.jpg' then
        begin
          MessageDlg('O arquivo de logo deve ser no formato jpg.',mtError,[mbOk],0);
          edtLogoMarca.SetFocus;
        end;
     end;
  end;
  
end;

procedure TfrmAcbrNfeMonitor.PathClick(Sender: TObject);
var
  Dir: string;
begin
  if Length(TEdit(Sender).Text) <= 0 then
     Dir := ExtractFileDir(application.ExeName)
  else
     Dir := TEdit(Sender).Text;

  if SelectDirectory(Dir, [sdAllowCreate, sdPerformCreate, sdPrompt],SELDIRHELP) then
    TEdit(Sender).Text := Dir;
end;

procedure TfrmAcbrNfeMonitor.btnValidarXMLClick(Sender: TObject);
begin
  OpenDialog1.Title := 'Selecione a NFE';
  OpenDialog1.DefaultExt := '*-nfe.XML';
  OpenDialog1.Filter := 'Arquivos NFE (*-nfe.XML)|*-nfe.XML|Arquivos XML (*.XML)|*.XML|Todos os Arquivos (*.*)|*.*';
  OpenDialog1.InitialDir := ACBrNFe1.Configuracoes.Geral.PathSalvar;
  if OpenDialog1.Execute then
  begin
    ACBrNFe1.NotasFiscais.Clear;
    ACBrNFe1.NotasFiscais.LoadFromFile(OpenDialog1.FileName);
    ACBrNFe1.NotasFiscais.Valida;
    showmessage('Nota Fiscal Eletrnica Valida');
  end;
end;

procedure TfrmAcbrNfeMonitor.btnEnviarClick(Sender: TObject);
var
 vAux : String;
begin
  if not(InputQuery('WebServices Enviar', 'Numero do Lote', vAux)) then
    exit;
  OpenDialog1.Title := 'Selecione a NFE';
  OpenDialog1.DefaultExt := '*-nfe.XML';
  OpenDialog1.Filter := 'Arquivos NFE (*-nfe.XML)|*-nfe.XML|Arquivos XML (*.XML)|*.XML|Todos os Arquivos (*.*)|*.*';
  OpenDialog1.InitialDir := ACBrNFe1.Configuracoes.Geral.PathSalvar;
  if OpenDialog1.Execute then
  begin
    ACBrNFe1.NotasFiscais.Clear;
    ACBrNFe1.NotasFiscais.LoadFromFile(OpenDialog1.FileName);
    ACBrNFe1.Enviar(StrToInt(vAux));
    ExibeResp(ACBrNFe1.WebServices.Retorno.RetWS);
  end;
end;

procedure TfrmAcbrNfeMonitor.edtNumCopiaKeyPress(Sender: TObject;
  var Key: Char);
begin
  if ((Key in ['0'..'9'] = False) and (Word(Key) <> VK_BACK)) then
    Key := #0;
end;

procedure TfrmAcbrNfeMonitor.edtMargemInfKeyPress(Sender: TObject;
  var Key: Char);
begin
  if (((Key in ['0'..'9'] = False) and (Key in ['.',','] = false)) and (Word(Key) <> VK_BACK)) then
    Key := #0
  else
    if Key = '.' then
       Key := ',';  
end;

procedure TfrmAcbrNfeMonitor.sbPathPDFClick(Sender: TObject);
begin
 PathClick(edtPathPDF);
end;

procedure TfrmAcbrNfeMonitor.rgModeloDanfeClick(Sender: TObject);
begin
 if Length(Trim(edtLogoMarca.Text)) > 0 then
  begin
    if rgModeloDanfe.ItemIndex = 0 then
     begin
       if ExtractFileExt(edtLogoMarca.Text) <> '.bmp' then
        begin
          MessageDlg('O arquivo de logo deve ser no formato bmp.',mtError,[mbOk],0);
          edtLogoMarca.SetFocus;
        end;
     end
    else
     begin
       if ExtractFileExt(edtLogoMarca.Text) <> '.jpg' then
        begin
          MessageDlg('O arquivo de logo deve ser no formato jpg.',mtError,[mbOk],0);
          edtLogoMarca.SetFocus;
        end;
     end;
  end;
end;

procedure TfrmAcbrNfeMonitor.EncerrarMonitor1Click(Sender: TObject);
begin
 Close;
end;

procedure TfrmAcbrNfeMonitor.sbPathNFeClick(Sender: TObject);
begin
 PathClick(edtPathNFe);
end;

procedure TfrmAcbrNfeMonitor.sbPathSalvarClick(Sender: TObject);
begin
 PathClick(edtPathLogs);
end;

procedure TfrmAcbrNfeMonitor.sbPathCanClick(Sender: TObject);
begin
 PathClick(edtPathCan);
end;

procedure TfrmAcbrNfeMonitor.sbPathInuClick(Sender: TObject);
begin
 PathClick(edtPathInu);
end;

procedure TfrmAcbrNfeMonitor.sbPathDPECClick(Sender: TObject);
begin
 PathClick(edtPathDPEC);
end;

procedure TfrmAcbrNfeMonitor.cbxAjustarAutClick(Sender: TObject);
begin
 edtAguardar.Enabled := not cbxAjustarAut.Checked;
end;

procedure TfrmAcbrNfeMonitor.cbxPastaMensalClick(Sender: TObject);
begin
 cbxEmissaoPathNFe.Enabled := cbxPastaMensal.Checked;
end;

procedure TfrmAcbrNfeMonitor.FormActivate(Sender: TObject);
Var
   DiaDaSemana:Array[1..7] Of String;
   Meses:Array[1..12] Of String;
   Dia, Mes, Ano: Word;
   Numerodia:Integer;
   Data:TDateTime;
begin
   DiaDaSemana[1]:='Domingo';
   DiaDaSemana[2]:='Segunda-Feira';
   DiaDaSemana[3]:='Tera-Feira';
   DiaDaSemana[4]:='Quarta-Feira';
   DiaDaSemana[5]:='Quinta-Feira';
   DiaDaSemana[6]:='Sexta-Feira';
   DiaDaSemana[7]:='Sbado';

   Meses[1]:='Janeiro';
   Meses[2]:='Fevereiro';
   Meses[3]:='Maro';
   Meses[4]:='Abril';
   Meses[5]:='Maio';
   Meses[6]:='Junho';
   Meses[7]:='Julho';
   Meses[8]:='Agosto';
   Meses[9]:='Setembro';
   Meses[10]:='Outubro';
   Meses[11]:='Novembro';
   Meses[12]:='Dezembro';

   Data:=Date;
   DecodeDate(Data,Ano,Mes,Dia);
   NumeroDia:=DayOfWeek(Data);

   Text:=' Emissor NF-e ' + '            '
   + '                                                                            ' + DiaDaSemana[NumeroDia] + ', ' + IntToStr(Dia)+' de '
   + Meses[Mes]+ ' de ' +IntToStr(Ano) + '      -      ' + TimeToStr(Time);
end;

procedure TfrmAcbrNfeMonitor.FormShow(Sender: TObject);
Var
   Emissao:String;
begin
   DBGridConsulta.DataSource:=DSBranco;
   btnFormulario.Visible:=False;

   EditPesquisaCliente.Clear;
   EditConsulta2.Clear;
   MaskEdit4.Clear;
   MaskEdit5.Clear;

   PanelDados.Visible:=False;
   PageControl1.Visible:=False;
   PageControl2.ActivePageIndex:=0;

   Emissao:=DateToStr(Date);

   TBResposta.LoadFromFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml');

   TBResposta.Filter:='Data>=''' + Emissao + ''' And Data <= ''' + Emissao + '''';
   TBResposta.Filtered:=True;

   TBResposta.IndexFieldNames:='Codigo';
   TBResposta.First;

   PageControl2.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.btSalvarClick(Sender: TObject);
begin
   SalvarIni ;
   EscondeConfig ;
   btCancelar.Visible:=False;
   btSalvar.Visible:=False;
   LerIni ;
   PageControl1.Visible:=False;
   PageControl1.SendToBack;


   pTodResp.Caption:='Formulrio Dirio de Respostas';
end;

procedure TfrmAcbrNfeMonitor.Estrutura();
var
  i, j, k, n  : integer;
  Nota, Node, NodePai, NodeItem: TTreeNode;
  Motivo:String;
begin
Try
    for n:=0 to ACBrNFe1.NotasFiscais.Count-1 do
    begin
    with ACBrNFe1.NotasFiscais.Items[n].NFe do
    begin
       Node := trvwNFe.Items.Add(Node,'Nota N................: ' +IntToStr(Ide.cNF));
      
       trvwNFe.Items.Add(Node,'Natureza Operao: ' +Ide.natOp );
       trvwNFe.Items.Add(Node,'Modelo.................: ' +IntToStr(Ide.modelo));
       trvwNFe.Items.Add(Node,'Srie....................: ' +IntToStr(Ide.serie));
       trvwNFe.Items.Add(Node,'Data de Emisso...: ' +DateToStr(Ide.dEmi));
       trvwNFe.Items.Add(Node,'Data de Sada......: ' +DateToStr(Ide.dSaiEnt));
       trvwNFe.Items.Add(Node,'Tipo NFe.............: ' +tpNFToStr(Ide.tpNF));
       trvwNFe.Items.Add(Node,'Finalidade NFe.....: ' +FinNFeToStr(Ide.finNFe));
       trvwNFe.Items.Add(Node,'UF Validao.......: ' +IntToStr(Ide.cUF));
       trvwNFe.Items.Add(Node,'Cdigo Ibge.........: ' +IntToStr(Ide.cMunFG));
       trvwNFe.Items.Add(Node,'Ambiente Emisso: ' +TpAmbToStr(Ide.tpAmb));
       trvwNFe.Items.Add(Node,'Verso NFe.........: ' +Ide.verProc);
       trvwNFe.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe2.Items.Add(Node,'Nota N...........: ' +IntToStr(Ide.cNF));
       trvwNFe2.Items.Add(Node,'CNPJ/CPF.......: ' +ColocaMascara(Emit.CNPJCPF,2));
       trvwNFe2.Items.Add(Node,'Insc. Estadual..: ' +ColocaMascara(Emit.IE,1));
       trvwNFe2.Items.Add(Node,'Nome/Empresa.: ' +Emit.xNome);
       trvwNFe2.Items.Add(Node,'Nome Fantasia.: ' +Emit.xFant );
       trvwNFe2.Items.Add(Node,'Insc. Municipal.: ' +Emit.IM);
       trvwNFe2.Items.Add(Node,'Cnae...............: ' +Emit.CNAE);
       trvwNFe2.Items.Add(Node,'TeleFone.........: ' +Emit.EnderEmit.fone);
       trvwNFe2.Items.Add(Node,'Cep................: ' +IntToStr(Emit.EnderEmit.CEP));
       trvwNFe2.Items.Add(Node,'Lougradouro....: ' +Emit.EnderEmit.xLgr);
       trvwNFe2.Items.Add(Node,'Nmero...........: ' +Emit.EnderEmit.nro);
       trvwNFe2.Items.Add(Node,'Complemento...: ' +Emit.EnderEmit.xCpl);
       trvwNFe2.Items.Add(Node,'Bairro..............: ' +Emit.EnderEmit.xBairro);
       trvwNFe2.Items.Add(Node,'Cdigo Ibge.....: ' +IntToStr(Emit.EnderEmit.cMun));
       trvwNFe2.Items.Add(Node,'Municipio........: ' +Emit.EnderEmit.xMun);
       trvwNFe2.Items.Add(Node,'UF Emitente....: ' +Emit.EnderEmit.UF);
       trvwNFe2.Items.Add(Node,'Cdigo Pas....: ' +IntToStr(Emit.EnderEmit.cPais));
       trvwNFe2.Items.Add(Node,'Pas...............: ' +Emit.EnderEmit.xPais);
       trvwNFe2.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe3.Items.Add(Node,'Nota N............: ' +IntToStr(Ide.cNF));
       trvwNFe3.Items.Add(Node,'CNPJ/CPF........: ' +ColocaMascara(Dest.CNPJCPF,2));
       trvwNFe3.Items.Add(Node,'Insc. Estadual...: ' +ColocaMascara(Dest.IE,1));
       trvwNFe3.Items.Add(Node,'Isuf..................: ' +Dest.ISUF);
       trvwNFe3.Items.Add(Node,'Nome/Empresa..: ' +Dest.xNome);
       trvwNFe3.Items.Add(Node,'TeleFone..........: ' +Dest.EnderDest.Fone);
       trvwNFe3.Items.Add(Node,'Cep.................: ' +IntToStr(Dest.EnderDest.CEP));
       trvwNFe3.Items.Add(Node,'Lougradouro.....: ' +Dest.EnderDest.xLgr);
       trvwNFe3.Items.Add(Node,'Nmero............: ' +Dest.EnderDest.nro);
       trvwNFe3.Items.Add(Node,'Complemento....: ' +Dest.EnderDest.xCpl);
       trvwNFe3.Items.Add(Node,'Bairro..............: ' +Dest.EnderDest.xBairro);
       trvwNFe3.Items.Add(Node,'Cdigo Ibge.....: ' +IntToStr(Dest.EnderDest.cMun));
       trvwNFe3.Items.Add(Node,'Municipio........: ' +Dest.EnderDest.xMun);
       trvwNFe3.Items.Add(Node,'UF Destinatrio: ' +Dest.EnderDest.UF );
       trvwNFe3.Items.Add(Node,'Cdigo Pas....: ' +IntToStr(Dest.EnderDest.cPais));
       trvwNFe3.Items.Add(Node,'Pas...............: ' +Dest.EnderDest.xPais);
       trvwNFe3.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe4.Items.Add(Node,'Nota N....: ' +IntToStr(Ide.cNF));
       trvwNFe4.Items.Add(Node,'Fatura N..: ' +Cobr.Fat.nFat);
       trvwNFe4.Items.Add(Node,'Valor........: ' +FloatToStr(Cobr.Fat.vOrig)) ;
       trvwNFe4.Items.Add(Node,'Desconto..: ' +FloatToStr(Cobr.Fat.vDesc)) ;
       trvwNFe4.Items.Add(Node,'Valor Total: ' + FormatFloat('##,##0.00',Cobr.Fat.vLiq)) ;

       for I:=0 to Cobr.Dup.Count-1 do
        begin
          Node    := trvwNFe4.Items.AddChild(NodePai,'Duplicata: '+IntToStrZero(I+1,1));
          with Cobr.Dup.Items[I] do
           begin
             trvwNFe4.Items.AddChild(Node,'Duplicata N: ' +nDup) ;
             trvwNFe4.Items.AddChild(Node,'Vencimento.: ' +DateToStr(dVenc));
             trvwNFe4.Items.AddChild(Node,'Valor..........: ' + FormatFloat('##,##0.00',vDup)) ;
           end;
        end;

       trvwNFe4.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe6.Items.Add(Node,'Nota N...........: ' +IntToStr(Ide.cNF));
       trvwNFe6.Items.Add(Node,'Frete...............: ' +modFreteToStr(Transp.modFrete));
       trvwNFe6.Items.Add(Node,'CNPJ/CPF.......: ' +Transp.Transporta.CNPJCPF);
       trvwNFe6.Items.Add(Node,'Nome/Empresa: ' +Transp.Transporta.xNome);
       trvwNFe6.Items.Add(Node,'Inscr. Estadual: ' +Transp.Transporta.IE);
       trvwNFe6.Items.Add(Node,'Lougradouro....: ' +Transp.Transporta.xEnder);
       trvwNFe6.Items.Add(Node,'Municipio........: ' +Transp.Transporta.xMun);
       trvwNFe6.Items.Add(Node,'UF Transporte.: ' +Transp.Transporta.UF);
       trvwNFe6.Items.Add(Node,'CFOP.............: ' +Transp.retTransp.CFOP);
       trvwNFe6.Items.Add(Node,'Cdigo Ibge....: ' +FloatToStr(Transp.retTransp.cMunFG));
       trvwNFe6.Items.Add(Node,'Placa.............: ' +Transp.veicTransp.placa);
       trvwNFe6.Items.Add(Node,'UF Veculo.....: ' +Transp.veicTransp.UF);

       for I:=0 to Transp.Vol.Count-1 do
        begin
          with Transp.Vol.Items[I] do
           begin
             trvwNFe6.Items.Add(Node,'Quantidade.....: ' +IntToStr(qVol)) ;
             trvwNFe6.Items.Add(Node,'Espcie..........: ' +esp);
             trvwNFe6.Items.Add(Node,'Marca............: ' +marca);
             trvwNFe6.Items.Add(Node,'Nmero..........: ' +nVol);
             trvwNFe6.Items.Add(Node,'Peso Lquido..: ' + FormatFloat('##,##0.000',pesoL)) ;
             trvwNFe6.Items.Add(Node,'Peso Bruto.....: ' + FormatFloat('##,##0.000',pesoB)) ;
           end;
        end;

        trvwNFe6.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe7.Items.Add(Node,'Nota N............: ' +IntToStr(Ide.cNF));
       trvwNFe7.Items.Add(Node,'Valor Base Icms.: '  + FormatFloat('##,##0.00',Total.ICMSTot.vBC));
       trvwNFe7.Items.Add(Node,'Valor do Icms....: ' + FormatFloat('##,##0.00',Total.ICMSTot.vICMS)) ;
       trvwNFe7.Items.Add(Node,'Base Icms Subst: ' + FormatFloat('##,##0.00',Total.ICMSTot.vBCST)) ;
       trvwNFe7.Items.Add(Node,'Valor Icms Subst: ' + FormatFloat('##,##0.00',Total.ICMSTot.vST)) ;
       trvwNFe7.Items.Add(Node,'Valor Produtos...: '   + FormatFloat('##,##0.00',Total.ICMSTot.vProd)) ;
       trvwNFe7.Items.Add(Node,'Valor Frete........: '  + FormatFloat('##,##0.00',Total.ICMSTot.vFrete)) ;
       trvwNFe7.Items.Add(Node,'Valor Seguro.....: '  + FormatFloat('##,##0.00',Total.ICMSTot.vSeg)) ;
       trvwNFe7.Items.Add(Node,'Valor Desconto..: ' + FormatFloat('##,##0.00',Total.ICMSTot.vDesc)) ;
       trvwNFe7.Items.Add(Node,'Valor II.............: '  + FormatFloat('##,##0.00',Total.ICMSTot.vII)) ;
       trvwNFe7.Items.Add(Node,'Valor Ipi...........: ' + FormatFloat('##,##0.00',Total.ICMSTot.vIPI)) ;
       trvwNFe7.Items.Add(Node,'Valor Pis..........: ' + FormatFloat('##,##0.00',Total.ICMSTot.vPIS)) ;
       trvwNFe7.Items.Add(Node,'Valor Consfins..: ' + FormatFloat('##,##0.00',Total.ICMSTot.vCOFINS)) ;
       trvwNFe7.Items.Add(Node,'Valor Despesas.: ' + FormatFloat('##,##0.00',Total.ICMSTot.vOutro)) ;
       trvwNFe7.Items.Add(Node,'Valor Nota........: ' + FormatFloat('##,##0.00',Total.ICMSTot.vNF)) ;

       trvwNFe7.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       if Total.ISSQNtot.vServ > 0 then
        begin
          trvwNFe8.Items.Add(Node,'Nota N.............: ' +IntToStr(Ide.cNF));
          trvwNFe8.Items.Add(Node,'Valor Servios...: ' + FormatFloat('##,##0.00',Total.ISSQNtot.vServ)) ;
          trvwNFe8.Items.Add(Node,'Valor Base ISS...: ' + FormatFloat('##,##0.00',Total.ISSQNTot.vBC)) ;
          trvwNFe8.Items.Add(Node,'Valor ISSQS......: '  + FormatFloat('##,##0.00',Total.ISSQNTot.vISS)) ;
        end;

        trvwNFe8.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe9.Items.Add(Node,'Nota N: ' +IntToStr(Ide.cNF));
       for I:=0 to InfAdic.obsCont.Count-1 do
        begin
          Node := trvwNFe9.Items.AddChild(NodePai,'Adicional: '+IntToStrZero(I+1,1));
          with InfAdic.obsCont.Items[I] do
           begin
             trvwNFe9.Items.AddChild(Node,'Campo.....: ' +xCampo) ;
             trvwNFe9.Items.AddChild(Node,'Texto......: ' +xTexto);
           end;
        end;

        trvwNFe9.Items.Add(NodePai,'Complemento: '     +InfAdic.infCpl);

        trvwNFe9.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

        trvwNFe5.Items.Add(Node,'Nota N: ' +IntToStr(Ide.cNF));

        for I := 0 to Det.Count-1 do
        begin
          with Det.Items[I] do
           begin
               NodeItem := trvwNFe5.Items.AddChild(Nota,'Produto: '+IntToStrZero(I+1,3));
               trvwNFe5.Items.AddChild(NodeItem,'Cdigo Produto..: ' +Prod.cProd );
               trvwNFe5.Items.AddChild(NodeItem,'Cdigo de Barras: ' +Prod.cEAN);
               trvwNFe5.Items.AddChild(NodeItem,'Produto............: ' +Prod.xProd);
               trvwNFe5.Items.AddChild(NodeItem,'NCM/SH..........: ' +Prod.NCM);
               trvwNFe5.Items.AddChild(NodeItem,'Cfop................: ' +Prod.CFOP);
               trvwNFe5.Items.AddChild(NodeItem,'Unidade...........: ' +Prod.uCom);
               trvwNFe5.Items.AddChild(NodeItem,'Quantidade.......: ' + FormatFloat('##,##0.00',Prod.qCom)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Valor Unitrio....: ' + FormatFloat('##,##0.00',Prod.vUnCom)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Valor Produto....: ' + FormatFloat('##,##0.00',Prod.vProd)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Desconto..........: ' + FormatFloat('##,##0.00',Prod.vDesc)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Item Adicional....: ' +infAdProd);

               with Imposto do
                begin
                   NodePai := trvwNFe.Items.AddChild(NodeItem,'Impostos: '+IntToStrZero(I+1,1));
                   Node := trvwNFe.Items.AddChild(NodePai,'ICMS');
                   with ICMS do
                    begin
                       trvwNFe.Items.AddChild(Node,'Cst...........: ' +CSTICMSToStr(CST));

                      if CST = cst00 then
                       begin
                         trvwNFe.Items.AddChild(Node,'Valor Base: ' + FormatFloat('##,##0.00',ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota...: ' + FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'Valor Icms: ' + FormatFloat('##,##0.00',ICMS.vICMS));
                       end
                      else if CST = cst10 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='     +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='    +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'vBC='      +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='    +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='    +FloatToStr(ICMS.vICMS));
                         trvwNFe.Items.AddChild(Node,'modBCST='  +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='   +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST=' +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='    +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='  +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='  +FloatToStr(ICMS.vICMSST));
                       end
                      else if CST = cst20 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='   +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='  +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC=' +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='    +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='  +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='  +FloatToStr(ICMS.vICMS));
                       end
                      else if CST = cst30 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='     +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBCST='  +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='   +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST=' +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='    +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='  +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='  +FloatToStr(ICMS.vICMSST));
                       end
                      else if (CST = cst40) or (CST = cst41) or (CST = cst50) then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='    +OrigToStr(ICMS.orig));
                       end
                      else if CST = cst51 then
                         begin
                         trvwNFe.Items.AddChild(Node,'orig='    +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='   +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC='  +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='     +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='   +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='   +FloatToStr(ICMS.vICMS));
                       end
                      else if CST = cst60 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='    +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'vBCST='   +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'vICMSST=' +FloatToStr(ICMS.vICMSST));
                       end
                      else if CST = cst70 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='       +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='      +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC='     +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='        +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='      +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='      +FloatToStr(ICMS.vICMS));
                         trvwNFe.Items.AddChild(Node,'modBCST='    +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='     +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST='   +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='      +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='    +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='    +FloatToStr(ICMS.vICMSST));
                       end
                      else if CST = cst90 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='       +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='      +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC='     +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='        +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='      +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='      +FloatToStr(ICMS.vICMS));
                         trvwNFe.Items.AddChild(Node,'modBCST='    +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='     +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST='   +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='      +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='    +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='    +FloatToStr(ICMS.vICMSST));
                       end;
                    end;

                   if (IPI.vBC > 0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'IPI');
                      with IPI do
                       begin
                         trvwNFe.Items.AddChild(Node,'Cst...............: ' +CSTIPIToStr(CST)) ;
                         trvwNFe.Items.AddChild(Node,'Cnpj Produtor: ' +CNPJProd);
                         trvwNFe.Items.AddChild(Node,'Valor Base...: ' + FormatFloat('##,##0.00',vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota......: ' +FloatToStr(pIPI));
                         trvwNFe.Items.AddChild(Node,'Valor IPI.....: ' + FormatFloat('##,##0.00',vIPI));
                       end;
                    end;

                   if (II.vBc > 0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'II');
                      with II do
                       begin
                         trvwNFe.Items.AddChild(Node,'vBc='      +FloatToStr(vBc));
                         trvwNFe.Items.AddChild(Node,'vDespAdu=' +FloatToStr(vDespAdu));
                         trvwNFe.Items.AddChild(Node,'vII='      +FloatToStr(vII));
                         trvwNFe.Items.AddChild(Node,'vIOF='     +FloatToStr(vIOF));
                       end;
                    end;

                   Node := trvwNFe.Items.AddChild(NodePai,'PIS');
                   with PIS do
                    begin
                      trvwNFe.Items.AddChild(Node,'Cst...........: ' +CSTPISToStr(CST));

                      if (CST = pis01) or (CST = pis02) then
                       begin
                         trvwNFe.Items.AddChild(Node,'Valor Base: ' + FormatFloat('##,##0.00',PIS.vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota...: ' +FloatToStr(PIS.pPIS));
                         trvwNFe.Items.AddChild(Node,'Valor Pis..: ' + FormatFloat('##,##0.00',PIS.vPIS));
                       end
                      else if CST = pis03 then
                       begin
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(PIS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(PIS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vPIS='      +FloatToStr(PIS.vPIS));
                       end
                      else if CST = pis99 then
                       begin
                         trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(PIS.vBC));
                         trvwNFe.Items.AddChild(Node,'pPIS='      +FloatToStr(PIS.pPIS));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(PIS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(PIS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vPIS='      +FloatToStr(PIS.vPIS));
                       end;
                    end;

                   if (PISST.vBc>0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'PISST');
                      with PISST do
                       begin
                         trvwNFe.Items.AddChild(Node,'vBc='       +FloatToStr(vBc));
                         trvwNFe.Items.AddChild(Node,'pPis='      +FloatToStr(pPis));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vPIS='      +FloatToStr(vPIS));
                       end;
                      end;

                   Node := trvwNFe.Items.AddChild(NodePai,'COFINS');
                   with COFINS do
                    begin
                      trvwNFe.Items.AddChild(Node,'Cst.............: ' +CSTCOFINSToStr(CST));

                      if (CST = cof01) or (CST = cof02)   then
                       begin
                         trvwNFe.Items.AddChild(Node,'Valor Base...: '  + FormatFloat('##,##0.00',COFINS.vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota......: ' +FloatToStr(COFINS.pCOFINS));
                         trvwNFe.Items.AddChild(Node,'Valor Confins: ' + FormatFloat('##,##0.00',COFINS.vCOFINS));
                       end
                      else if CST = cof03 then
                       begin
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(COFINS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(COFINS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vCOFINS='   +FloatToStr(COFINS.vCOFINS));
                       end
                      else if CST = cof99 then
                       begin
                         trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(COFINS.vBC));
                         trvwNFe.Items.AddChild(Node,'pCOFINS='   +FloatToStr(COFINS.pCOFINS));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(COFINS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(COFINS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vCOFINS='   +FloatToStr(COFINS.vCOFINS));
                       end;
                    end;

                   if (COFINSST.vBC > 0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'COFINSST');
                      with COFINSST do
                       begin
                         trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(vBC));
                         trvwNFe.Items.AddChild(Node,'pCOFINS='   +FloatToStr(pCOFINS));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vCOFINS='   +FloatToStr(vCOFINS));
                       end;
                    end;

                   if (ISSQN.vBC > 0) then
                    begin
                     Node := trvwNFe.Items.AddChild(NodePai,'ISSQN');
                     with ISSQN do
                      begin
                        trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(vBC));
                        trvwNFe.Items.AddChild(Node,'vAliq='     +FloatToStr(vAliq));
                        trvwNFe.Items.AddChild(Node,'vISSQN='    +FloatToStr(vISSQN));
                        trvwNFe.Items.AddChild(Node,'cMunFG='    +IntToStr(cMunFG));
                        trvwNFe.Items.AddChild(Node,'cListServ=' +IntToStr(cListServ));
                      end;
                    end;
                   end;
            End;
            trvwNFe5.Items.AddChild(NodeItem,'-----------------------------------------------------------------------------------------------------------------------------------------');
        End;


     If Anular<>'S' Then
     Begin
        If (ACBrNFe1.NotasFiscais.Items[n].Alertas<>'') And (ACBrNFe1.WebServices.Retorno.xMotivo<>'Rejeio: CNPJ do destinatrio invlido') Then
        Motivo:=RemoveAcentos(ACBrNFe1.NotasFiscais.Items[n].Alertas)
        Else
        Motivo:=RemoveAcentos(ACBrNFe1.WebServices.Retorno.xMotivo);

        If (Aprovar<>'S') And (Consulta<>'S') Then
        Begin
           If (Motivo='Autorizado o uso da NF-e') Or (Motivo='') Then
           Motivo:='Consultar o erro na guia: Dados Processados!';

           TBResposta.LoadFromFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml');

           If (TBResposta.Locate('Nota',IntToStr(Ide.cNF),[])) And (TBRespostaRetorno.Value<>'Aprovada') And (TBRespostaRetorno.Value<>'Cancelada') Then
           Begin
              TBResposta.Edit;

              TBRespostaData.Value:=Ide.dEmi;
              TBRespostaCliente.Value:=Dest.xNome;
              TBRespostaNota.Value:=IntToStr(Ide.cNF);
              TBRespostaRetorno.Value:='Reprovada';
              TBRespostaMotivo.Value:=Motivo;
              TBRespostaEmail.Value:=Mail;

              TBResposta.Post;
              TBResposta.SaveToFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml', dfXML);

              btnFormulario.Visible:=False;
              DBGridResposta.DataSource:=DSResposta;
           End
           Else
           Begin
              TBResposta.Append;
              TBResposta.Edit;

              TBRespostaData.Value:=Ide.dEmi;
              TBRespostaCliente.Value:=Dest.xNome;
              TBRespostaNota.Value:=IntToStr(Ide.cNF);
              TBRespostaRetorno.Value:='Reprovada';
              TBRespostaMotivo.Value:=Motivo;
              TBRespostaEmail.Value:=Mail;

              TBResposta.Post;
              TBResposta.SaveToFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml', dfXML);

              btnFormulario.Visible:=False;
              DBGridResposta.DataSource:=DSResposta;
           End;
        End;


        If Aprovar='S' Then
        Begin
           NotaMail:=IntToStr(Ide.cNF);
           LerEmail();
                         
           TBNotas.LoadFromFile('C:\Emissor Fiscal\Tabelas\Notas.Xml');

           TBNotas.Append;
           TBNotas.Edit;

           TBNotasData.Value:=Ide.dEmi;
           TBNotasNota.Value:=IntToStr(Ide.cNF);
           TBNotasCliente.Value:=Dest.xNome;
           TBNotasXml.Value:=Gravar;
           TBNotasEmail.Value:=Mail;

           TBNotas.Post;
           TBNotas.SaveToFile('C:\Emissor Fiscal\Tabelas\Notas.Xml', dfXML);


           TBResposta.LoadFromFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml');

           If (TBResposta.Locate('Nota',IntToStr(Ide.cNF),[])) And (TBRespostaRetorno.Value='Reprovada') Then
           Begin
              TBResposta.Edit;

              TBRespostaData.Value:=Ide.dEmi;
              TBRespostaCliente.Value:=Dest.xNome;
              TBRespostaNota.Value:=IntToStr(Ide.cNF);
              TBRespostaRetorno.Value:='Aprovada';
              TBRespostaMotivo.Value:='Autorizado o uso da NF-e';
              TBRespostaEmail.Value:=Mail;

              TBResposta.Post;
              TBResposta.SaveToFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml', dfXML);

              btnFormulario.Visible:=False;
              DBGridResposta.DataSource:=DSResposta;
           End
           Else
           Begin
              TBResposta.Append;
              TBResposta.Edit;

              TBRespostaData.Value:=Ide.dEmi;
              TBRespostaCliente.Value:=Dest.xNome;
              TBRespostaNota.Value:=IntToStr(Ide.cNF);
              TBRespostaRetorno.Value:='Aprovada';
              TBRespostaMotivo.Value:='Autorizado o uso da NF-e';
              TBRespostaEmail.Value:=Mail;

              TBResposta.Post;
              TBResposta.SaveToFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml', dfXML);

              btnFormulario.Visible:=False;
              DBGridResposta.DataSource:=DSResposta;
           End;

           EnvMail:='S';
           Aprovar:='N';
        End;
     End;

       PageControl2.ActivePageIndex:=1;
    End;
  End;
Except
for n:=0 to ACBrNFe1.NotasFiscais.Count-1 do
    begin
    with ACBrNFe1.NotasFiscais.Items[n].NFe do
    begin
       Node := trvwNFe.Items.Add(Node,'Nota N................: ' +IntToStr(Ide.cNF));

       trvwNFe.Items.Add(Node,'Natureza Operao: ' +Ide.natOp );
       trvwNFe.Items.Add(Node,'Modelo.................: ' +IntToStr(Ide.modelo));
       trvwNFe.Items.Add(Node,'Srie....................: ' +IntToStr(Ide.serie));
       trvwNFe.Items.Add(Node,'Data de Emisso...: ' +DateToStr(Ide.dEmi));
       trvwNFe.Items.Add(Node,'Data de Sada......: ' +DateToStr(Ide.dSaiEnt));
       trvwNFe.Items.Add(Node,'Tipo NFe.............: ' +tpNFToStr(Ide.tpNF));
       trvwNFe.Items.Add(Node,'Finalidade NFe.....: ' +FinNFeToStr(Ide.finNFe));
       trvwNFe.Items.Add(Node,'UF Validao.......: ' +IntToStr(Ide.cUF));
       trvwNFe.Items.Add(Node,'Cdigo Ibge.........: ' +IntToStr(Ide.cMunFG));
       trvwNFe.Items.Add(Node,'Ambiente Emisso: ' +TpAmbToStr(Ide.tpAmb));
       trvwNFe.Items.Add(Node,'Verso NFe.........: ' +Ide.verProc);
       trvwNFe.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe2.Items.Add(Node,'Nota N...........: ' +IntToStr(Ide.cNF));
       trvwNFe2.Items.Add(Node,'CNPJ/CPF.......: ' +ColocaMascara(Emit.CNPJCPF,2));
       trvwNFe2.Items.Add(Node,'Insc. Estadual..: ' +ColocaMascara(Emit.IE,1));
       trvwNFe2.Items.Add(Node,'Nome/Empresa.: ' +Emit.xNome);
       trvwNFe2.Items.Add(Node,'Nome Fantasia.: ' +Emit.xFant );
       trvwNFe2.Items.Add(Node,'Insc. Municipal.: ' +Emit.IM);
       trvwNFe2.Items.Add(Node,'Cnae...............: ' +Emit.CNAE);
       trvwNFe2.Items.Add(Node,'TeleFone.........: ' +Emit.EnderEmit.fone);
       trvwNFe2.Items.Add(Node,'Cep................: ' +IntToStr(Emit.EnderEmit.CEP));
       trvwNFe2.Items.Add(Node,'Lougradouro....: ' +Emit.EnderEmit.xLgr);
       trvwNFe2.Items.Add(Node,'Nmero...........: ' +Emit.EnderEmit.nro);
       trvwNFe2.Items.Add(Node,'Complemento...: ' +Emit.EnderEmit.xCpl);
       trvwNFe2.Items.Add(Node,'Bairro..............: ' +Emit.EnderEmit.xBairro);
       trvwNFe2.Items.Add(Node,'Cdigo Ibge.....: ' +IntToStr(Emit.EnderEmit.cMun));
       trvwNFe2.Items.Add(Node,'Municipio........: ' +Emit.EnderEmit.xMun);
       trvwNFe2.Items.Add(Node,'UF Emitente....: ' +Emit.EnderEmit.UF);
       trvwNFe2.Items.Add(Node,'Cdigo Pas....: ' +IntToStr(Emit.EnderEmit.cPais));
       trvwNFe2.Items.Add(Node,'Pas...............: ' +Emit.EnderEmit.xPais);
       trvwNFe2.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe3.Items.Add(Node,'Nota N............: ' +IntToStr(Ide.cNF));
       trvwNFe3.Items.Add(Node,'CNPJ/CPF........: ' +ColocaMascara(Dest.CNPJCPF,2));
       trvwNFe3.Items.Add(Node,'Insc. Estadual...: ' +ColocaMascara(Dest.IE,1));
       trvwNFe3.Items.Add(Node,'Isuf..................: ' +Dest.ISUF);
       trvwNFe3.Items.Add(Node,'Nome/Empresa..: ' +Dest.xNome);
       trvwNFe3.Items.Add(Node,'TeleFone..........: ' +Dest.EnderDest.Fone);
       trvwNFe3.Items.Add(Node,'Cep.................: ' +IntToStr(Dest.EnderDest.CEP));
       trvwNFe3.Items.Add(Node,'Lougradouro.....: ' +Dest.EnderDest.xLgr);
       trvwNFe3.Items.Add(Node,'Nmero............: ' +Dest.EnderDest.nro);
       trvwNFe3.Items.Add(Node,'Complemento....: ' +Dest.EnderDest.xCpl);
       trvwNFe3.Items.Add(Node,'Bairro..............: ' +Dest.EnderDest.xBairro);
       trvwNFe3.Items.Add(Node,'Cdigo Ibge.....: ' +IntToStr(Dest.EnderDest.cMun));
       trvwNFe3.Items.Add(Node,'Municipio........: ' +Dest.EnderDest.xMun);
       trvwNFe3.Items.Add(Node,'UF Destinatrio: ' +Dest.EnderDest.UF );
       trvwNFe3.Items.Add(Node,'Cdigo Pas....: ' +IntToStr(Dest.EnderDest.cPais));
       trvwNFe3.Items.Add(Node,'Pas...............: ' +Dest.EnderDest.xPais);
       trvwNFe3.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe4.Items.Add(Node,'Nota N....: ' +IntToStr(Ide.cNF));
       trvwNFe4.Items.Add(Node,'Fatura N..: ' +Cobr.Fat.nFat);
       trvwNFe4.Items.Add(Node,'Valor........: ' +FloatToStr(Cobr.Fat.vOrig)) ;
       trvwNFe4.Items.Add(Node,'Desconto..: ' +FloatToStr(Cobr.Fat.vDesc)) ;
       trvwNFe4.Items.Add(Node,'Valor Total: ' + FormatFloat('##,##0.00',Cobr.Fat.vLiq)) ;

       for I:=0 to Cobr.Dup.Count-1 do
        begin
          Node    := trvwNFe4.Items.AddChild(NodePai,'Duplicata: '+IntToStrZero(I+1,1));
          with Cobr.Dup.Items[I] do
           begin
             trvwNFe4.Items.AddChild(Node,'Duplicata N: ' +nDup) ;
             trvwNFe4.Items.AddChild(Node,'Vencimento.: ' +DateToStr(dVenc));
             trvwNFe4.Items.AddChild(Node,'Valor..........: ' + FormatFloat('##,##0.00',vDup)) ;
           end;
        end;

       trvwNFe4.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe6.Items.Add(Node,'Nota N...........: ' +IntToStr(Ide.cNF));
       trvwNFe6.Items.Add(Node,'Frete...............: ' +modFreteToStr(Transp.modFrete));
       trvwNFe6.Items.Add(Node,'CNPJ/CPF.......: ' +Transp.Transporta.CNPJCPF);
       trvwNFe6.Items.Add(Node,'Nome/Empresa: ' +Transp.Transporta.xNome);
       trvwNFe6.Items.Add(Node,'Inscr. Estadual: ' +Transp.Transporta.IE);
       trvwNFe6.Items.Add(Node,'Lougradouro....: ' +Transp.Transporta.xEnder);
       trvwNFe6.Items.Add(Node,'Municipio........: ' +Transp.Transporta.xMun);
       trvwNFe6.Items.Add(Node,'UF Transporte.: ' +Transp.Transporta.UF);
       trvwNFe6.Items.Add(Node,'CFOP.............: ' +Transp.retTransp.CFOP);
       trvwNFe6.Items.Add(Node,'Cdigo Ibge....: ' +FloatToStr(Transp.retTransp.cMunFG));
       trvwNFe6.Items.Add(Node,'Placa.............: ' +Transp.veicTransp.placa);
       trvwNFe6.Items.Add(Node,'UF Veculo.....: ' +Transp.veicTransp.UF);

       for I:=0 to Transp.Vol.Count-1 do
        begin
          with Transp.Vol.Items[I] do
           begin
             trvwNFe6.Items.Add(Node,'Quantidade.....: ' +IntToStr(qVol)) ;
             trvwNFe6.Items.Add(Node,'Espcie..........: ' +esp);
             trvwNFe6.Items.Add(Node,'Marca............: ' +marca);
             trvwNFe6.Items.Add(Node,'Nmero..........: ' +nVol);
             trvwNFe6.Items.Add(Node,'Peso Lquido..: ' + FormatFloat('##,##0.000',pesoL)) ;
             trvwNFe6.Items.Add(Node,'Peso Bruto.....: ' + FormatFloat('##,##0.000',pesoB)) ;
           end;
        end;

        trvwNFe6.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe7.Items.Add(Node,'Nota N............: ' +IntToStr(Ide.cNF));
       trvwNFe7.Items.Add(Node,'Valor Base Icms.: '  + FormatFloat('##,##0.00',Total.ICMSTot.vBC));
       trvwNFe7.Items.Add(Node,'Valor do Icms....: ' + FormatFloat('##,##0.00',Total.ICMSTot.vICMS)) ;
       trvwNFe7.Items.Add(Node,'Base Icms Subst: ' + FormatFloat('##,##0.00',Total.ICMSTot.vBCST)) ;
       trvwNFe7.Items.Add(Node,'Valor Icms Subst: ' + FormatFloat('##,##0.00',Total.ICMSTot.vST)) ;
       trvwNFe7.Items.Add(Node,'Valor Produtos...: '   + FormatFloat('##,##0.00',Total.ICMSTot.vProd)) ;
       trvwNFe7.Items.Add(Node,'Valor Frete........: '  + FormatFloat('##,##0.00',Total.ICMSTot.vFrete)) ;
       trvwNFe7.Items.Add(Node,'Valor Seguro.....: '  + FormatFloat('##,##0.00',Total.ICMSTot.vSeg)) ;
       trvwNFe7.Items.Add(Node,'Valor Desconto..: ' + FormatFloat('##,##0.00',Total.ICMSTot.vDesc)) ;
       trvwNFe7.Items.Add(Node,'Valor II.............: '  + FormatFloat('##,##0.00',Total.ICMSTot.vII)) ;
       trvwNFe7.Items.Add(Node,'Valor Ipi...........: ' + FormatFloat('##,##0.00',Total.ICMSTot.vIPI)) ;
       trvwNFe7.Items.Add(Node,'Valor Pis..........: ' + FormatFloat('##,##0.00',Total.ICMSTot.vPIS)) ;
       trvwNFe7.Items.Add(Node,'Valor Consfins..: ' + FormatFloat('##,##0.00',Total.ICMSTot.vCOFINS)) ;
       trvwNFe7.Items.Add(Node,'Valor Despesas.: ' + FormatFloat('##,##0.00',Total.ICMSTot.vOutro)) ;
       trvwNFe7.Items.Add(Node,'Valor Nota........: ' + FormatFloat('##,##0.00',Total.ICMSTot.vNF)) ;

       trvwNFe7.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       if Total.ISSQNtot.vServ > 0 then
        begin
          trvwNFe8.Items.Add(Node,'Nota N.............: ' +IntToStr(Ide.cNF));
          trvwNFe8.Items.Add(Node,'Valor Servios...: ' + FormatFloat('##,##0.00',Total.ISSQNtot.vServ)) ;
          trvwNFe8.Items.Add(Node,'Valor Base ISS...: ' + FormatFloat('##,##0.00',Total.ISSQNTot.vBC)) ;
          trvwNFe8.Items.Add(Node,'Valor ISSQS......: '  + FormatFloat('##,##0.00',Total.ISSQNTot.vISS)) ;
        end;

        trvwNFe8.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');

       trvwNFe9.Items.Add(Node,'Nota N: ' +IntToStr(Ide.cNF));
       for I:=0 to InfAdic.obsCont.Count-1 do
        begin
          Node := trvwNFe9.Items.AddChild(NodePai,'Adicional: '+IntToStrZero(I+1,1));
          with InfAdic.obsCont.Items[I] do
           begin
             trvwNFe9.Items.AddChild(Node,'Campo.....: ' +xCampo) ;
             trvwNFe9.Items.AddChild(Node,'Texto......: ' +xTexto);
           end;
        end;

        trvwNFe9.Items.Add(NodePai,'Complemento: '     +InfAdic.infCpl);

        trvwNFe9.Items.Add(Node,'-----------------------------------------------------------------------------------------------------------------------------------------');


       trvwNFe5.Items.Add(Node,'Nota N: ' +IntToStr(Ide.cNF));

        for I := 0 to Det.Count-1 do
        begin
          with Det.Items[I] do
           begin
               NodeItem := trvwNFe5.Items.AddChild(Nota,'Produto: '+IntToStrZero(I+1,3));
               trvwNFe5.Items.AddChild(NodeItem,'Cdigo Produto..: ' +Prod.cProd );
               trvwNFe5.Items.AddChild(NodeItem,'Cdigo de Barras: ' +Prod.cEAN);
               trvwNFe5.Items.AddChild(NodeItem,'Produto............: ' +Prod.xProd);
               trvwNFe5.Items.AddChild(NodeItem,'NCM/SH..........: ' +Prod.NCM);
               trvwNFe5.Items.AddChild(NodeItem,'Cfop................: ' +Prod.CFOP);
               trvwNFe5.Items.AddChild(NodeItem,'Unidade...........: ' +Prod.uCom);
               trvwNFe5.Items.AddChild(NodeItem,'Quantidade.......: ' + FormatFloat('##,##0.00',Prod.qCom)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Valor Unitrio....: ' + FormatFloat('##,##0.00',Prod.vUnCom)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Valor Produto....: ' + FormatFloat('##,##0.00',Prod.vProd)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Desconto..........: ' + FormatFloat('##,##0.00',Prod.vDesc)) ;
               trvwNFe5.Items.AddChild(NodeItem,'Item Adicional....: ' +infAdProd);

               with Imposto do
                begin
                   NodePai := trvwNFe.Items.AddChild(NodeItem,'Impostos: '+IntToStrZero(I+1,1));
                   Node := trvwNFe.Items.AddChild(NodePai,'ICMS');
                   with ICMS do
                    begin
                       trvwNFe.Items.AddChild(Node,'Cst...........: ' +CSTICMSToStr(CST));

                      if CST = cst00 then
                       begin
                         trvwNFe.Items.AddChild(Node,'Valor Base: ' + FormatFloat('##,##0.00',ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota...: ' + FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'Valor Icms: ' + FormatFloat('##,##0.00',ICMS.vICMS));
                       end
                      else if CST = cst10 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='     +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='    +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'vBC='      +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='    +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='    +FloatToStr(ICMS.vICMS));
                         trvwNFe.Items.AddChild(Node,'modBCST='  +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='   +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST=' +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='    +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='  +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='  +FloatToStr(ICMS.vICMSST));
                       end
                      else if CST = cst20 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='   +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='  +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC=' +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='    +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='  +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='  +FloatToStr(ICMS.vICMS));
                       end
                      else if CST = cst30 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='     +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBCST='  +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='   +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST=' +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='    +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='  +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='  +FloatToStr(ICMS.vICMSST));
                       end
                      else if (CST = cst40) or (CST = cst41) or (CST = cst50) then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='    +OrigToStr(ICMS.orig));
                       end
                      else if CST = cst51 then
                         begin
                         trvwNFe.Items.AddChild(Node,'orig='    +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='   +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC='  +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='     +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='   +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='   +FloatToStr(ICMS.vICMS));
                       end
                      else if CST = cst60 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='    +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'vBCST='   +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'vICMSST=' +FloatToStr(ICMS.vICMSST));
                       end
                      else if CST = cst70 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='       +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='      +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC='     +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='        +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='      +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='      +FloatToStr(ICMS.vICMS));
                         trvwNFe.Items.AddChild(Node,'modBCST='    +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='     +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST='   +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='      +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='    +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='    +FloatToStr(ICMS.vICMSST));
                       end
                      else if CST = cst90 then
                       begin
                         trvwNFe.Items.AddChild(Node,'orig='       +OrigToStr(ICMS.orig));
                         trvwNFe.Items.AddChild(Node,'modBC='      +modBCToStr(ICMS.modBC));
                         trvwNFe.Items.AddChild(Node,'pRedBC='     +FloatToStr(ICMS.pRedBC));
                         trvwNFe.Items.AddChild(Node,'vBC='        +FloatToStr(ICMS.vBC));
                         trvwNFe.Items.AddChild(Node,'pICMS='      +FloatToStr(ICMS.pICMS));
                         trvwNFe.Items.AddChild(Node,'vICMS='      +FloatToStr(ICMS.vICMS));
                         trvwNFe.Items.AddChild(Node,'modBCST='    +modBCSTToStr(ICMS.modBCST));
                         trvwNFe.Items.AddChild(Node,'pMVAST='     +FloatToStr(ICMS.pMVAST));
                         trvwNFe.Items.AddChild(Node,'pRedBCST='   +FloatToStr(ICMS.pRedBCST));
                         trvwNFe.Items.AddChild(Node,'vBCST='      +FloatToStr(ICMS.vBCST));
                         trvwNFe.Items.AddChild(Node,'pICMSST='    +FloatToStr(ICMS.pICMSST));
                         trvwNFe.Items.AddChild(Node,'vICMSST='    +FloatToStr(ICMS.vICMSST));
                       end;
                    end;

                   if (IPI.vBC > 0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'IPI');
                      with IPI do
                       begin
                         trvwNFe.Items.AddChild(Node,'Cst...............: ' +CSTIPIToStr(CST)) ;
                         trvwNFe.Items.AddChild(Node,'Cnpj Produtor: ' +CNPJProd);
                         trvwNFe.Items.AddChild(Node,'Valor Base...: ' + FormatFloat('##,##0.00',vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota......: ' +FloatToStr(pIPI));
                         trvwNFe.Items.AddChild(Node,'Valor IPI.....: ' + FormatFloat('##,##0.00',vIPI));
                       end;
                    end;

                   if (II.vBc > 0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'II');
                      with II do
                       begin
                         trvwNFe.Items.AddChild(Node,'vBc='      +FloatToStr(vBc));
                         trvwNFe.Items.AddChild(Node,'vDespAdu=' +FloatToStr(vDespAdu));
                         trvwNFe.Items.AddChild(Node,'vII='      +FloatToStr(vII));
                         trvwNFe.Items.AddChild(Node,'vIOF='     +FloatToStr(vIOF));
                       end;
                    end;

                   Node := trvwNFe.Items.AddChild(NodePai,'PIS');
                   with PIS do
                    begin
                      trvwNFe.Items.AddChild(Node,'Cst...........: ' +CSTPISToStr(CST));

                      if (CST = pis01) or (CST = pis02) then
                       begin
                         trvwNFe.Items.AddChild(Node,'Valor Base: ' + FormatFloat('##,##0.00',PIS.vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota...: ' +FloatToStr(PIS.pPIS));
                         trvwNFe.Items.AddChild(Node,'Valor Pis..: ' + FormatFloat('##,##0.00',PIS.vPIS));
                       end
                      else if CST = pis03 then
                       begin
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(PIS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(PIS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vPIS='      +FloatToStr(PIS.vPIS));
                       end
                      else if CST = pis99 then
                       begin
                         trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(PIS.vBC));
                         trvwNFe.Items.AddChild(Node,'pPIS='      +FloatToStr(PIS.pPIS));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(PIS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(PIS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vPIS='      +FloatToStr(PIS.vPIS));
                       end;
                    end;

                   if (PISST.vBc>0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'PISST');
                      with PISST do
                       begin
                         trvwNFe.Items.AddChild(Node,'vBc='       +FloatToStr(vBc));
                         trvwNFe.Items.AddChild(Node,'pPis='      +FloatToStr(pPis));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vPIS='      +FloatToStr(vPIS));
                       end;
                      end;

                   Node := trvwNFe.Items.AddChild(NodePai,'COFINS');
                   with COFINS do
                    begin
                      trvwNFe.Items.AddChild(Node,'Cst.............: ' +CSTCOFINSToStr(CST));

                      if (CST = cof01) or (CST = cof02)   then
                       begin
                         trvwNFe.Items.AddChild(Node,'Valor Base...: '  + FormatFloat('##,##0.00',COFINS.vBC));
                         trvwNFe.Items.AddChild(Node,'Alquota......: ' +FloatToStr(COFINS.pCOFINS));
                         trvwNFe.Items.AddChild(Node,'Valor Confins: ' + FormatFloat('##,##0.00',COFINS.vCOFINS));
                       end
                      else if CST = cof03 then
                       begin
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(COFINS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(COFINS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vCOFINS='   +FloatToStr(COFINS.vCOFINS));
                       end
                      else if CST = cof99 then
                       begin
                         trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(COFINS.vBC));
                         trvwNFe.Items.AddChild(Node,'pCOFINS='   +FloatToStr(COFINS.pCOFINS));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(COFINS.qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(COFINS.vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vCOFINS='   +FloatToStr(COFINS.vCOFINS));
                       end;
                    end;

                   if (COFINSST.vBC > 0) then
                    begin
                      Node := trvwNFe.Items.AddChild(NodePai,'COFINSST');
                      with COFINSST do
                       begin
                         trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(vBC));
                         trvwNFe.Items.AddChild(Node,'pCOFINS='   +FloatToStr(pCOFINS));
                         trvwNFe.Items.AddChild(Node,'qBCProd='   +FloatToStr(qBCProd));
                         trvwNFe.Items.AddChild(Node,'vAliqProd=' +FloatToStr(vAliqProd));
                         trvwNFe.Items.AddChild(Node,'vCOFINS='   +FloatToStr(vCOFINS));
                       end;
                    end;

                   if (ISSQN.vBC > 0) then
                    begin
                     Node := trvwNFe.Items.AddChild(NodePai,'ISSQN');
                     with ISSQN do
                      begin
                        trvwNFe.Items.AddChild(Node,'vBC='       +FloatToStr(vBC));
                        trvwNFe.Items.AddChild(Node,'vAliq='     +FloatToStr(vAliq));
                        trvwNFe.Items.AddChild(Node,'vISSQN='    +FloatToStr(vISSQN));
                        trvwNFe.Items.AddChild(Node,'cMunFG='    +IntToStr(cMunFG));
                        trvwNFe.Items.AddChild(Node,'cListServ=' +IntToStr(cListServ));
                      end;
                    end;
                   end;
            End;
            trvwNFe5.Items.AddChild(NodeItem,'-----------------------------------------------------------------------------------------------------------------------------------------');
        End;

       PageControl2.ActivePageIndex:=1;
    End;
  End;
End;
End;

procedure TfrmAcbrNfeMonitor.StatusdoServio1Click(Sender: TObject);
begin
   Trava:=0;
   Consulta:='';

   TBNotas.Filtered:=False;
   DBGridConsulta.DataSource:=DSBranco;

   EditPesquisaCliente.Clear;
   EditConsulta2.Clear;
   MaskEdit4.Clear;
   MaskEdit5.Clear;
   
   Mresp.Clear;
   MemoLog.Clear;
   trvwNFe.Items.Clear;
   trvwNFe2.Items.Clear;
   trvwNFe3.Items.Clear;
   trvwNFe4.Items.Clear;
   trvwNFe5.Items.Clear;
   trvwNFe6.Items.Clear;
   trvwNFe7.Items.Clear;
   trvwNFe8.Items.Clear;
   trvwNFe9.Items.Clear;

   mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
   mResp.Lines.Add('-------------------------------------------------------------------------');

   ACBrNFe1.WebServices.StatusServico.Executar;
   ExibeResp(ACBrNFe1.WebServices.StatusServico.RetWS);
   mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.StatusServico.xMotivo);
   PageControl2.ActivePageIndex:=10;
end;

procedure TfrmAcbrNfeMonitor.FinalizarClick(Sender: TObject);
begin
   If Application.MessageBox('Finalizar o Emissor?','Emissor NF-e', 4  + MB_ICONQUESTION)= idYes Then
   application.Terminate;
end;

procedure TfrmAcbrNfeMonitor.CorreioClick(Sender: TObject);
Var
  ArqPDF: String;
begin
IF Consulta<>'S' Then
Begin
   TBNotas.LoadFromFile('C:\Emissor Fiscal\Tabelas\Notas.Xml');

   Application.CreateForm(TFEmail, FEmail);
   FEmail.ShowModal;
   
   If TBNotas.Locate('Nota',vNota2,[]) Then
   Begin
      ACBrNFe1.NotasFiscais.Clear;
      ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
      ACBrNFe1.Consultar;

      ACBrNFe1.NotasFiscais.ImprimirPDF;
      ArqPDF := ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID ;
      ArqPDF := StringReplace(ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID,'NFe', '', [rfIgnoreCase]);
      ArqPDF :=PathWithDelim(ACBrNFe1.DANFE.PathPDF)+ ArqPDF+'.pdf';

      If vPara<>'' Then
      Begin
      Try
         EnviarEmail(edtSmtpHost.Text, edtSmtpPort.Text, edtSmtpUser.Text, edtSmtpPass.Text, edtSmtpUser.Text, vPara, edtEmailAssunto.Text, TBNotasXml.Value, ArqPDF, mmEmailMsg.Lines, cbEmailSSL.Checked);
      Except
      on E: Exception do
      Begin
      raise Exception.Create('Erro ao enviar email'+sLineBreak+E.Message);
          exit;
      End;
    End;
     Application.MessageBox('Email enviado com sucesso!','Concludo',48+0);
     ClicNota:='';
     ClicMail:='';
   End;
End;
End
Else
Begin
   ACBrNFe1.NotasFiscais.ImprimirPDF;
   ArqPDF := ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID ;
   ArqPDF := StringReplace(ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID,'NFe', '', [rfIgnoreCase]);
   ArqPDF :=PathWithDelim(ACBrNFe1.DANFE.PathPDF)+ ArqPDF+'.pdf';

   Application.CreateForm(TFEmail, FEmail);
   FEmail.ShowModal;

   If vPara<>'' Then
   Begin
   Try
      EnviarEmail(edtSmtpHost.Text, edtSmtpPort.Text, edtSmtpUser.Text, edtSmtpPass.Text, edtSmtpUser.Text, vPara, edtEmailAssunto.Text,TBNotasXml.Value, ArqPDF, mmEmailMsg.Lines, cbEmailSSL.Checked);
   Except
   on E: Exception do
   Begin
   raise Exception.Create('Erro ao enviar email'+sLineBreak+E.Message);
       exit;
   End;
  End;
     Application.MessageBox('Email enviado com sucesso!','Concludo',48+0);
     ClicNota:='';
     ClicMail:='';
    End;
  End;
end;

procedure TfrmAcbrNfeMonitor.ReimprimirDanfe1Click(Sender: TObject);
begin
IF Consulta<>'S' Then
Begin
   Anular:='S';

   TBNotas.LoadFromFile('C:\Emissor Fiscal\Tabelas\Notas.Xml');
   
   Application.CreateForm(TFDanfe, FDanfe);
   FDanfe.ShowModal;

   If TBNotas.Locate('Nota',vNota3,[]) Then
   Begin
      ACBrNFe1.NotasFiscais.Clear;
      ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
      ACBrNFe1.Consultar;
      PanelWeb.Visible:=True;
      WBResposta.Navigate(TBNotasXml.Value);

      Estrutura();
      Anular:='';
      ClicNota:='';
      ClicMail:='';

     ACBrNFe1.NotasFiscais.Imprimir;
   End;
End
Else
Begin
   Anular:='S';

   ACBrNFe1.NotasFiscais.Clear;
   ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
   ACBrNFe1.Consultar;
   PanelWeb.Visible:=True;
   WBResposta.Navigate(TBNotasXml.Value);

   Estrutura();
   Anular:='';
   ClicNota:='';
   ClicMail:='';

   ACBrNFe1.NotasFiscais.Imprimir;
End;
end;

procedure TfrmAcbrNfeMonitor.CancelarNFe1Click(Sender: TObject);
Var
   C:TextFile;
begin
IF Consulta<>'S' Then
Begin
   Anular:='S';

   Mresp.Clear;
   MemoLog.Clear;
   trvwNFe.Items.Clear;
   trvwNFe2.Items.Clear;
   trvwNFe3.Items.Clear;
   trvwNFe4.Items.Clear;
   trvwNFe5.Items.Clear;
   trvwNFe6.Items.Clear;
   trvwNFe7.Items.Clear;
   trvwNFe8.Items.Clear;
   trvwNFe9.Items.Clear;

   mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
   mResp.Lines.Add('-------------------------------------------------------------------------');

   TBNotas.LoadFromFile('C:\Emissor Fiscal\Tabelas\Notas.Xml');

   Application.CreateForm(TFCancelar, FCancelar);
   FCancelar.ShowModal;

   If TBNotas.Locate('Nota',vNota,[]) Then
   Begin
      ACBrNFe1.NotasFiscais.Clear;
      ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
      PanelWeb.Visible:=True;
      WBResposta.Navigate(TBNotasXml.Value);

      PageControl2.ActivePageIndex:=0;

      If vAux<>'' Then
      Begin
         ACBrNFe1.Cancelamento(vAux);
         ExibeResp(ACBrNFe1.WebServices.Cancelamento.RetWS);
         mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.Cancelamento.xMotivo);

         TBResposta.LoadFromFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml');

         If (TBResposta.Locate('Nota',TBNotasNota.Value,[])) And (TBRespostaRetorno.Value='Aprovada') Then
         Begin
            TBResposta.Edit;

            TBRespostaData.Value:=Date;
            TBRespostaCliente.Value:=TBNotasCliente.Value;
            TBRespostaNota.Value:=TBNotasNota.Value;
            TBRespostaRetorno.Value:='Cancelada';
            TBRespostaMotivo.Value:='Cancelamento de NF-e homologado';

            TBResposta.Post;
            TBResposta.SaveToFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml', dfXML);

            btnFormulario.Visible:=False;
            DBGridResposta.DataSource:=DSResposta;

            EditaArq('C:\Emissor Fiscal\Canceladas\Cancelar.TXT',TBNotasNota.Value);
            EditaArq('C:\Emissor Fiscal\Canceladas\Cancelar.TXT',vAux);

            Estrutura();
            Anular:='';
            ClicNota:='';
            ClicMail:='';
         End;
      End;
   End;
End
Else
Begin
   Anular:='S';

   Mresp.Clear;
   MemoLog.Clear;
   trvwNFe.Items.Clear;
   trvwNFe2.Items.Clear;
   trvwNFe3.Items.Clear;
   trvwNFe4.Items.Clear;
   trvwNFe5.Items.Clear;
   trvwNFe6.Items.Clear;
   trvwNFe7.Items.Clear;
   trvwNFe8.Items.Clear;
   trvwNFe9.Items.Clear;

   mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
   mResp.Lines.Add('-------------------------------------------------------------------------');

   ACBrNFe1.NotasFiscais.Clear;
   ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
   PanelWeb.Visible:=True;
   WBResposta.Navigate(TBNotasXml.Value);

   PageControl2.ActivePageIndex:=0;

   Application.CreateForm(TFCancelar, FCancelar);
   FCancelar.ShowModal;

   If vAux<>'' Then
   Begin
      ACBrNFe1.Cancelamento(vAux);
      ExibeResp(ACBrNFe1.WebServices.Cancelamento.RetWS);
      mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.Cancelamento.xMotivo);

      TBResposta.LoadFromFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml');

      If (TBResposta.Locate('Nota',TBNotasNota.Value,[])) And (TBRespostaRetorno.Value='Aprovada') Then
      Begin
         TBResposta.Edit;

         TBRespostaData.Value:=Date;
         TBRespostaCliente.Value:=TBNotasCliente.Value;
         TBRespostaNota.Value:=TBNotasNota.Value;
         TBRespostaRetorno.Value:='Cancelada';
         TBRespostaMotivo.Value:='Cancelamento de NF-e homologado';

         TBResposta.Post;
         TBResposta.SaveToFile('C:\Emissor Fiscal\Tabelas\Resposta.Xml', dfXML);

         btnFormulario.Visible:=False;
         DBGridResposta.DataSource:=DSResposta;

         EditaArq('C:\Emissor Fiscal\Canceladas\Cancelar.TXT',TBNotasNota.Value);
         EditaArq('C:\Emissor Fiscal\Canceladas\Cancelar.TXT',vAux);

         Estrutura();
         Anular:='';
         ClicNota:='';
         ClicMail:='';
      End;
   End;
End;
end;

procedure TfrmAcbrNfeMonitor.VisualizarPdf1Click(Sender: TObject);
Var
  ArqPDF: String;
begin
IF Consulta<>'S' Then
Begin
   OpenDialog2.FileName:='';
   OpenDialog2.Title := 'Selecione a NFE';
   OpenDialog2.DefaultExt := '*.Pdf';
   OpenDialog2.Filter := 'Arquivos PDF (*.pdf)|*.PDF|Todos os Arquivos (*.*)|*.*';
   OpenDialog2.InitialDir := 'C:\Emissor Fiscal\Pdf';

   if OpenDialog2.Execute then
   begin
      Application.CreateForm(TFVisualizar, FVisualizar);
      FVisualizar.AcroPdf1.src:=OpenDialog2.FileName;
      FVisualizar.ShowModal;
   end;
End
Else
Begin
   ACBrNFe1.NotasFiscais.Clear;
   ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
   ACBrNFe1.Consultar;

   ACBrNFe1.NotasFiscais.ImprimirPDF;
   ArqPDF := ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID ;
   ArqPDF := StringReplace(ACBrNFe1.NotasFiscais.Items[0].NFe.infNFe.ID,'NFe', '', [rfIgnoreCase]);
   ArqPDF :=PathWithDelim(ACBrNFe1.DANFE.PathPDF)+ ArqPDF+'.pdf';

   Application.CreateForm(TFVisualizar, FVisualizar);
   FVisualizar.AcroPdf1.src:=ArqPDF;
   FVisualizar.ShowModal;
End;
end;

procedure TfrmAcbrNfeMonitor.Configurar1Click(Sender: TObject);
begin
   If Abrir=0 Then
   Begin
      Application.CreateForm(TFSenha, FSenha);
      FSenha.showModal;
   End;

   If Senha=1 Then
   begin
      Abrir:=1;

      Danfe.TabVisible:=True;
      Email.TabVisible:=True;
      Monitor.TabVisible:=True;
      Certificado.TabVisible:=True;
      WebService.TabVisible:=True;
      Diretorios.TabVisible:=True;
      Recursos.TabVisible:=True;

      pTodResp.Caption:='Configuraes';

      PageControl1.Visible:=True;
      PageControl1.BringToFront;
      btCancelar.Visible:=True;
      LerIni ; { Para as alteraoes fazerem efeito }
      Abrir:=0;
      ExibeConfig;
   End;

   If Senha=2 Then
   begin
      Abrir:=1;

      Danfe.TabVisible:=True;
      Email.TabVisible:=True;
      Monitor.TabVisible:=False;
      Certificado.TabVisible:=False;
      WebService.TabVisible:=False;
      Diretorios.TabVisible:=False;
      Recursos.TabVisible:=False;

      pTodResp.Caption:='Configuraes';

      PageControl1.Visible:=True;
      PageControl1.BringToFront;
      btCancelar.Visible:=True;
      LerIni ; { Para as alteraoes fazerem efeito }
      Abrir:=0;
      ExibeConfig;
   End;
end;

procedure TfrmAcbrNfeMonitor.LimparResultados1Click(Sender: TObject);
begin
   Trava:=0;
   Consulta:='';
   ClicNota:='';
   ClicMail:='';
   
   TBNotas.Filtered:=False;
   DBGridConsulta.DataSource:=DSBranco;
   DBGridResposta.DataSource:=DSBranco;
   btnFormulario.Visible:=True;

   EditPesquisaCliente.Clear;
   EditConsulta2.Clear;
   MaskEdit4.Clear;
   MaskEdit5.Clear;

   Mresp.Clear;
   MemoLog.Clear;
   trvwNFe.Items.Clear;
   trvwNFe2.Items.Clear;
   trvwNFe3.Items.Clear;
   trvwNFe4.Items.Clear;
   trvwNFe5.Items.Clear;
   trvwNFe6.Items.Clear;
   trvwNFe7.Items.Clear;
   trvwNFe8.Items.Clear;
   trvwNFe9.Items.Clear;
   PanelWeb.Visible:=False;

   mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
   mResp.Lines.Add('-------------------------------------------------------------------------');

   PageControl2.ActivePageIndex:=0;
end;

procedure TfrmAcbrNfeMonitor.ACBrNFe1GerarLog(const Mensagem: String);
begin
    MemoLog.Lines.Add(Mensagem);
    MemoLog.Lines.Add('---------------------------------------------------------------------------------------------------------------------------');
end;

procedure TfrmAcbrNfeMonitor.EditConsulta2KeyPress(Sender: TObject;
  var Key: Char);
Var
   Texto:String;
begin
   If not( key in['0'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If (Key=#13) And (EditConsulta2.Text<>'') Then
   Begin
      Key:=#0;

      Texto:=EditConsulta2.Text;

      TBNotas.LoadFromFile('C:\Emissor Fiscal\Tabelas\Notas.Xml');

      TBNotas.Filter:='Nota =' + QuotedStr(Texto);
      TBNotas.Filtered := True;

      If TBNotas.RecordCount<>0 Then
      Begin
         Consulta:='S';

         ACBrNFe1.NotasFiscais.Clear;
         ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
         ACBrNFe1.Consultar;

         ExibeResp(ACBrNFe1.WebServices.Consulta.RetWS);
         mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.Consulta.XMotivo);
         PanelWeb.Visible:=True;
         WBResposta.Navigate(TBNotasXml.Value);
         Estrutura();

         PanelWeb.Visible:=True;
         DBGridConsulta.DataSource:=DSNotas;

         PageControl2.ActivePageIndex:=1;
         DBGridConsulta.SetFocus;
      End
      Else
      Begin
         Application.MessageBox('Nenhum registro encontrado!','Ateno',48+0);
         EditConsulta2.SelectAll;
         EditConsulta2.SetFocus;
      End;
   End;
end;

procedure TfrmAcbrNfeMonitor.EditConsulta2Enter(Sender: TObject);
begin
   Trava:=0;
   Consulta:='';
   ClicNota:='';
   ClicMail:='';

   TBNotas.Filtered:=False;
   DBGridConsulta.DataSource:=DSBranco;
   DBGridResposta.DataSource:=DSBranco;
   btnFormulario.Visible:=True;

   EditPesquisaCliente.Clear;
   EditConsulta2.Clear;
   MaskEdit4.Clear;
   MaskEdit5.Clear;

   Mresp.Clear;
   MemoLog.Clear;
   trvwNFe.Items.Clear;
   trvwNFe2.Items.Clear;
   trvwNFe3.Items.Clear;
   trvwNFe4.Items.Clear;
   trvwNFe5.Items.Clear;
   trvwNFe6.Items.Clear;
   trvwNFe7.Items.Clear;
   trvwNFe8.Items.Clear;
   trvwNFe9.Items.Clear;
   PanelWeb.Visible:=False;

   mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
   mResp.Lines.Add('-------------------------------------------------------------------------');

   PageControl2.ActivePageIndex:=0;
end;

procedure TfrmAcbrNfeMonitor.EditConsulta2Click(Sender: TObject);
begin
   EditConsulta2.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit4Enter(Sender: TObject);
begin
   Trava:=0;
   Consulta:='';
   ClicNota:='';
   ClicMail:='';
   
   TBNotas.Filtered:=False;
   DBGridConsulta.DataSource:=DSBranco;
   DBGridResposta.DataSource:=DSBranco;
   btnFormulario.Visible:=True;

   EditPesquisaCliente.Clear;
   EditConsulta2.Clear;
   MaskEdit4.Clear;
   MaskEdit5.Clear;

   Mresp.Clear;
   MemoLog.Clear;
   trvwNFe.Items.Clear;
   trvwNFe2.Items.Clear;
   trvwNFe3.Items.Clear;
   trvwNFe4.Items.Clear;
   trvwNFe5.Items.Clear;
   trvwNFe6.Items.Clear;
   trvwNFe7.Items.Clear;
   trvwNFe8.Items.Clear;
   trvwNFe9.Items.Clear;
   PanelWeb.Visible:=False;

   mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
   mResp.Lines.Add('-------------------------------------------------------------------------');

   PageControl2.ActivePageIndex:=0;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit4Exit(Sender: TObject);
begin
   If Maskedit4.Text<> '  /  /    ' Then
   Begin
      If Not tdStrIsDate(Maskedit4.Text) Then
      Begin
         Application.MessageBox('No  uma data vlida!','Ateno',48+0);
         Maskedit4.SetFocus;
         Maskedit4.SelectAll;
      End;
   End;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit5Exit(Sender: TObject);
begin
   If Maskedit5.Text<> '  /  /    ' Then
   Begin
      If Not tdStrIsDate(Maskedit5.Text) Then
      Begin
         Application.MessageBox('No  uma data vlida!','Ateno',48+0);
         Maskedit5.SetFocus;
         Maskedit5.SelectAll;
      End;
   End;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit4KeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   Maskedit5.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit5KeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   EditConsulta2.SetFocus;
   If Key=VK_UP Then
   Maskedit4.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.EditConsulta2KeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   EditPesquisaCliente.SetFocus;
   If Key=VK_UP Then
   Maskedit5.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.EditPesquisaClienteKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBGridConsulta.SetFocus;
   If Key=VK_UP Then
   EditConsulta2.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit4KeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
     Key:=#0;
     Maskedit5.SetFocus;
   End;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit4Click(Sender: TObject);
begin
   Maskedit4.SelectAll;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit5Click(Sender: TObject);
begin
   Maskedit5.SelectAll;
end;

procedure TfrmAcbrNfeMonitor.MaskEdit5KeyPress(Sender: TObject;
  var Key: Char);
begin
   If Key=#13 Then
   Begin
      If (Maskedit4.Text<> '  /  /    ') And (Maskedit5.Text<> '  /  /    ') Then
      Begin
      TBNotas.LoadFromFile('C:\Emissor Fiscal\Tabelas\Notas.Xml');

      TBNotas.Filter:='Data>=''' + MaskEdit4.Text + ''' And Data <= ''' + MaskEdit5.Text + '''';
      TBNotas.Filtered:=True;

      If TBNotas.RecordCount<> 0 Then
      Begin
         Trava:=1;
         Consulta:='S';

         TBNotas.IndexFieldNames:='Codigo';
         TBNotas.First;

         DBGridConsulta.DataSource:=DSNotas;
         PageControl2.ActivePageIndex:=1;
         
         DBGridConsulta.SetFocus;
      End
      Else
      Begin
         Application.MessageBox('Nenhum registro encontrado!','Ateno',48+0);
         Maskedit5.SelectAll;
      End;
     End;

   If Maskedit4.Text= '  /  /    ' Then
   Begin
      Application.MessageBox('Digite as duas Datas!','Ateno',48+0);

      Maskedit4.SetFocus;
      Maskedit4.SelectAll;
   End;
 End;
end;

procedure TfrmAcbrNfeMonitor.DBGridConsultaKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If (Shift = [ssCtrl]) and (Key = 46) Then
   Key:=0;
end;

procedure TfrmAcbrNfeMonitor.EditPesquisaClienteKeyPress(Sender: TObject;
  var Key: Char);
Var
   Texto:String;
begin
   If(Key=#13) And (EditPesquisaCliente.Text<>'') Then
   Begin
      Key:=#0;

      Texto:=EditPesquisaCliente.Text;

      TBNotas.LoadFromFile('C:\Emissor Fiscal\Tabelas\Notas.Xml');

      TBNotas.Filter:='Cliente = ' + QuotedStr(Texto + '*');
      TBNotas.Filtered:=True;

      If TBNotas.RecordCount<>0 Then
      Begin
         Trava:=1;
         Consulta:='S';

         TBNotas.IndexFieldNames:='Codigo';
         TBNotas.First;

         DBGridConsulta.DataSource:=DSNotas;
         PageControl2.ActivePageIndex:=1;
         
         DBGridConsulta.SetFocus;
      End
      Else
      Begin
         Application.MessageBox('Nenhum registro foi encontrado!','Ateno',48+0);
         EditPesquisaCliente.SelectAll;
      End;
   End;
end;

procedure TfrmAcbrNfeMonitor.EditPesquisaClienteClick(Sender: TObject);
begin
   EditPesquisaCliente.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.EditPesquisaClienteEnter(Sender: TObject);
begin
   Trava:=0;
   Consulta:='';
   ClicNota:='';
   ClicMail:='';

   TBNotas.Filtered:=False;
   DBGridConsulta.DataSource:=DSBranco;
   DBGridResposta.DataSource:=DSBranco;
   btnFormulario.Visible:=True;

   EditPesquisaCliente.Clear;
   EditConsulta2.Clear;
   MaskEdit4.Clear;
   MaskEdit5.Clear;

   Mresp.Clear;
   MemoLog.Clear;
   trvwNFe.Items.Clear;
   trvwNFe2.Items.Clear;
   trvwNFe3.Items.Clear;
   trvwNFe4.Items.Clear;
   trvwNFe5.Items.Clear;
   trvwNFe6.Items.Clear;
   trvwNFe7.Items.Clear;
   trvwNFe8.Items.Clear;
   trvwNFe9.Items.Clear;
   PanelWeb.Visible:=False;

   mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
   mResp.Lines.Add('-------------------------------------------------------------------------');

   PageControl2.ActivePageIndex:=0;
end;

procedure TfrmAcbrNfeMonitor.DBGridConsultaCellClick(Column: TColumn);
Var
   Numerar:String;
begin
   If Trava<>0 Then
   Begin
      Numerar:=TBNotasNota.Value;

      TBNotas.Filter:='Nota =' + QuotedStr(Numerar);
      TBNotas.Filtered := True;

      ACBrNFe1.NotasFiscais.Clear;
      ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
      ACBrNFe1.Consultar;

      ExibeResp(ACBrNFe1.WebServices.Consulta.RetWS);
      mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.Consulta.XMotivo);
      PanelWeb.Visible:=True;
      WBResposta.Navigate(TBNotasXml.Value);
      Estrutura();
      PanelWeb.Visible:=True;

      Trava:=0;
   End;
end;

procedure TfrmAcbrNfeMonitor.DBGridConsultaKeyPress(Sender: TObject;
  var Key: Char);
Var
   Numerar:String;
begin
   If (Key=#13) And(Trava<>0) Then
   Begin
      Key:=#0;

      Numerar:=TBNotasNota.Value;

      TBNotas.Filter:='Nota =' + QuotedStr(Numerar);
      TBNotas.Filtered := True;

      ACBrNFe1.NotasFiscais.Clear;
      ACBrNFe1.NotasFiscais.LoadFromFile(TBNotasXml.Value);
      ACBrNFe1.Consultar;

      ExibeResp(ACBrNFe1.WebServices.Consulta.RetWS);
      mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.Consulta.XMotivo);
      PanelWeb.Visible:=True;
      WBResposta.Navigate(TBNotasXml.Value);
      Estrutura();
      PanelWeb.Visible:=True;

      Trava:=0;
   End;
end;

procedure TfrmAcbrNfeMonitor.ACBrNFe1StatusChange(Sender: TObject);
begin
   case ACBrNFe1.Status of
    stIdle :
    begin
      if ( frmStatus <> nil ) then
        frmStatus.Hide;
    end;
    stNFeStatusServico :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Verificando Status do servico...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNFeRecepcao :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Enviando dados da NFe...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNfeRetRecepcao :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Recebendo dados da NFe...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNfeConsulta :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Consultando NFe...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNfeCancelamento :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Enviando cancelamento de NFe...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNfeInutilizacao :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Enviando pedido de Inutilizao...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNFeRecibo :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Consultando Recibo de Lote...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNFeCadastro :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Consultando Cadastro...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNFeEnvDPEC :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Enviando DPEC...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNFeConsultaDPEC :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Consultando DPEC...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
    stNFeEmail :
    begin
      if ( frmStatus = nil ) then
        frmStatus := TfrmStatus.Create(Application);
      frmStatus.lblStatus.Caption := ' Enviando Email...';
      frmStatus.Show;
      frmStatus.BringToFront;
    end;
  end;
  Application.ProcessMessages;
end;

procedure TfrmAcbrNfeMonitor.Disponibilidade1Click(Sender: TObject);
begin
   HlinkNavigateString(nil,'http://www.nfe.fazenda.gov.br/portal/VerificacaoDeServicos/VerificacaoServicos.aspx');
end;

procedure TfrmAcbrNfeMonitor.ConsultarNFe1Click(Sender: TObject);
begin
   HlinkNavigateString(nil,'https://www.nfe.fazenda.gov.br/portal/FormularioDePesquisa.aspx?tipoconsulta=completa');
end;

procedure TfrmAcbrNfeMonitor.ConsultaInscEst1Click(Sender: TObject);
begin
   Application.CreateForm(TFConsultaIE, FConsultaIE);

   FConsultaIE.Caption:=' Consultar Inscrio Estadual';
   FConsultaIE.EditCnpj.EditMask:='99.999.999/9999-99';
   FConsultaIE.Label2.Caption:='Cnpj:';
   FConsultaIE.ShowModal;

   PageControl2.ActivePageIndex:=0;

  If (UF<>'') And (Cnpj<>'') Then
  Begin
     Cnpj:=Trim(NotaUtil.LimpaNumero(Cnpj));

     ACBrNFe1.WebServices.ConsultaCadastro.UF:= UF;
     ACBrNFe1.WebServices.ConsultaCadastro.CNPJ:=Cnpj;
     ACBrNFe1.WebServices.ConsultaCadastro.Executar;

     MemoLog.Lines.Text :=  UTF8Encode(ACBrNFe1.WebServices.ConsultaCadastro.RetWS);
     LoadXML(MemoLog, WBResposta);

     LRazao.Caption:=ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].xNome;

     if Length(Cnpj) > 11 then
     Begin
        LCnpj.Caption:=ColocaMascara(ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].CNPJ,2);
        LInscricao.Caption:=ColocaMascara(ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].IE,1);
        Label46.Font.Color:=clGreen;
        LInscricao.Font.Color:=clGreen;
     End
     Else
     Begin
        LCnpj.Caption:=ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].CPF;
        LInscricao.Caption:='';
        Label46.Font.Color:=clGreen;
        LInscricao.Font.Color:=clGreen;
     End;

     PanelDados.Visible:=True;
  End;
end;

procedure TfrmAcbrNfeMonitor.btnFecharClick(Sender: TObject);
begin
   PanelDados.Visible:=False;
   
   Label46.Font.Color:=clBlack;
   Label47.Font.Color:=clBlack;
   LInscricao.Font.Color:=clBlack;
   LCnpj.Font.Color:=clBlack;
end;

procedure TfrmAcbrNfeMonitor.ConsultarCnpj1Click(Sender: TObject);
begin
   Application.CreateForm(TFConsultaIE, FConsultaIE);

   FConsultaIE.Caption:=' Consultar Cnpj';
   FConsultaIE.EditCnpj.EditMask:='999.999.999-9999';
   FConsultaIE.Label2.Caption:='Inscrio Estadual:';
   FConsultaIE.ShowModal;

   PageControl2.ActivePageIndex:=0;

  If (UF<>'') And (Cnpj<>'') Then
  Begin
     Cnpj:=Trim(NotaUtil.LimpaNumero(Cnpj));

     ACBrNFe1.WebServices.ConsultaCadastro.UF:= UF;
     ACBrNFe1.WebServices.ConsultaCadastro.IE:=Cnpj;
     ACBrNFe1.WebServices.ConsultaCadastro.Executar;

     MemoLog.Lines.Text :=  UTF8Encode(ACBrNFe1.WebServices.ConsultaCadastro.RetWS);
     LoadXML(MemoLog, WBResposta);

     LRazao.Caption:=ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].xNome;

     if Length(Cnpj) > 11 then
     Begin
        LCnpj.Caption:=ColocaMascara(ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].CNPJ,2);
        LInscricao.Caption:=ColocaMascara(ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].IE,1);
        Label47.Font.Color:=clGreen;
        LCnpj.Font.Color:=clGreen;
     End
     Else
     Begin
        LCnpj.Caption:=ACBrNFe1.WebServices.ConsultaCadastro.RetConsCad.InfCad.Items[0].CPF;
        LInscricao.Caption:='';
        Label47.Font.Color:=clGreen;
        LCnpj.Font.Color:=clGreen;
     End;

     PanelDados.Visible:=True;
  End;
end;

procedure TfrmAcbrNfeMonitor.btnInutilizarClick(Sender: TObject);
var
 CNPJ, Modelo, Serie, Ano, NumeroInicial, NumeroFinal, Justificativa : String;
begin
 if not(InputQuery('WebServices Inutilizao ', 'CNPJ',   CNPJ)) then
    exit;
 if not(InputQuery('WebServices Inutilizao ', 'Ano',    Ano)) then
    exit;
 if not(InputQuery('WebServices Inutilizao ', 'Modelo', Modelo)) then
    exit;
 if not(InputQuery('WebServices Inutilizao ', 'Serie',  Serie)) then
    exit;
 if not(InputQuery('WebServices Inutilizao ', 'Nmero Inicial', NumeroInicial)) then
    exit;
 if not(InputQuery('WebServices Inutilizao ', 'Nmero Final', NumeroFinal)) then
    exit;
 if not(InputQuery('WebServices Inutilizao ', 'Justificativa', Justificativa)) then
    exit;
    
  ACBrNFe1.WebServices.Inutiliza(CNPJ, Justificativa, StrToInt(Ano), StrToInt(Modelo), StrToInt(Serie), StrToInt(NumeroInicial), StrToInt(NumeroFinal));
  ExibeResp(ACBrNFe1.WebServices.Inutilizacao.RetWS);
end;

procedure TfrmAcbrNfeMonitor.ConsultarNFeClick(Sender: TObject);
begin
   OpenDialog2.FileName:='';
   OpenDialog2.Title := 'Selecione o Xml';
   OpenDialog2.DefaultExt := '*-nfe.XML';
   OpenDialog2.Filter := 'Arquivos NFE (*-nfe.XML)|*-nfe.XML|Arquivos XML (*.XML)|*.XML|Todos os Arquivos (*.*)|*.*';
   OpenDialog2.InitialDir := 'C:\Emissor Fiscal\NFE';
   if OpenDialog2.Execute then
   begin
      Anular:='S';

      Mresp.Clear;
      MemoLog.Clear;
      trvwNFe.Items.Clear;
      trvwNFe2.Items.Clear;
      trvwNFe3.Items.Clear;
      trvwNFe4.Items.Clear;
      trvwNFe5.Items.Clear;
      trvwNFe6.Items.Clear;
      trvwNFe7.Items.Clear;
      trvwNFe8.Items.Clear;
      trvwNFe9.Items.Clear;

      mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
      mResp.Lines.Add('-------------------------------------------------------------------------');

     ACBrNFe1.NotasFiscais.Clear;
     ACBrNFe1.NotasFiscais.LoadFromFile(OpenDialog2.FileName);
     ACBrNFe1.Consultar;

     ExibeResp(ACBrNFe1.WebServices.Consulta.RetWS);
     mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.Consulta.XMotivo);
     PanelWeb.Visible:=True;
     WBResposta.Navigate(OpenDialog2.FileName);
     
     Estrutura();
     Anular:='';

     PageControl2.ActivePageIndex:=11;
   end;
end;

procedure TfrmAcbrNfeMonitor.DBGridRespostaDrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
begin
   If odd(TBResposta.RecNo) Then
   DBGridResposta.Canvas.Brush.Color:= $00FFF9D5
   Else
   DBGridResposta.Canvas.Brush.Color:= clWindow;

   If gdSelected in State Then
   With (Sender as TDBGrid).Canvas do
   Begin
      Brush.Color := $00DDDDDD;
   End;

  If Column.Index=3 Then
  Begin
     If TBRespostaRetorno.Value='Reprovada' Then
     Begin
        DBGridResposta.Canvas.Brush.Color:=$00C1FAFD;
        DBGridResposta.Canvas.Font.Color:=clRed;
     End
     Else If TBRespostaRetorno.Value='Aprovada' Then
     Begin
        DBGridResposta.Canvas.Brush.Color :=$00DAF231;
        DBGridResposta.Canvas.Font.Color  := clNavy;
     End
     Else If TBRespostaRetorno.Value='Cancelada' Then
     Begin
        DBGridResposta.Canvas.Brush.Color :=$009492F5;
        DBGridResposta.Canvas.Font.Color  := clBlack;
     End;
  End
  Else
   DBGridResposta.Canvas.Font.Color := clNavy;

   DBGridResposta.DefaultDrawDataCell(Rect, DBGridResposta.columns[datacol].field, State);
end;

procedure TfrmAcbrNfeMonitor.DBGridRespostaKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If (Shift = [ssCtrl]) and (Key = 46) Then
   Key:=0;
end;

procedure TfrmAcbrNfeMonitor.btnFormularioClick(Sender: TObject);
begin
   btnFormulario.Visible:=False;
   DBGridResposta.DataSource:=DSResposta;
   DBGridResposta.SetFocus;
end;

procedure TfrmAcbrNfeMonitor.DBGridRespostaCellClick(Column: TColumn);
begin
   ClicNota:=TBRespostaNota.Value;
   ClicMail:=TBRespostaEmail.Value;
end;

procedure TfrmAcbrNfeMonitor.SobreoEmissor1Click(Sender: TObject);
begin
   Application.CreateForm(TFSobre, FSobre);
   FSobre.ShowModal;
end;

procedure TfrmAcbrNfeMonitor.DBGridConsultaDrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
begin
   If odd(TBNotas.RecNo) Then
   DBGridConsulta.Canvas.Brush.Color:= $00FFF9D5
   Else
   DBGridConsulta.Canvas.Brush.Color:= clWindow;

    if gdSelected in State then
    with (Sender as TDBGrid).Canvas do
    begin
       Brush.Color := $00DDDDDD;
    end;

    DBGridConsulta.Canvas.Font.Color := clNavy;

    DBGridConsulta.DefaultDrawDataCell(Rect, DBGridConsulta.columns[datacol].field, State);
end;

procedure TfrmAcbrNfeMonitor.Manual1Click(Sender: TObject);
begin
   Application.CreateForm(TFVisualizar, FVisualizar);
   FVisualizar.AcroPdf1.src:='C:\Emissor Fiscal\Utilitrios\Manual Emissor.pdf';
   FVisualizar.ShowModal;
end;

procedure TfrmAcbrNfeMonitor.Button1Click(Sender: TObject);
begin
   OpenDialog2.Title := 'Selecione a NFE';
   OpenDialog2.DefaultExt := '*-nfe.XML';
   OpenDialog2.Filter := 'Arquivos NFE (*-nfe.XML)|*-nfe.XML|Arquivos XML (*.XML)|*.XML|Todos os Arquivos (*.*)|*.*';
   OpenDialog2.InitialDir := 'C:\Notas\NFE';
   if OpenDialog2.Execute then
   begin
      Mresp.Clear;
      MemoLog.Clear;
      trvwNFe.Items.Clear;
      trvwNFe2.Items.Clear;
      trvwNFe3.Items.Clear;
      trvwNFe4.Items.Clear;
      trvwNFe5.Items.Clear;
      trvwNFe6.Items.Clear;
      trvwNFe7.Items.Clear;
      trvwNFe8.Items.Clear;
      trvwNFe9.Items.Clear;

      mResp.Lines.Add('Aguardando dados para Envio e Resposta da NF-e:');
      mResp.Lines.Add('-------------------------------------------------------------------------');

      ACBrNFe1.NotasFiscais.Clear;
      ACBrNFe1.NotasFiscais.LoadFromFile(OpenDialog2.FileName);
      Estrutura();

      Application.CreateForm(TFCancelar, FCancelar);
      FCancelar.ShowModal;

  If vAux<>'' Then
  Begin
     ACBrNFe1.Cancelamento(vAux);
     ExibeResp(ACBrNFe1.WebServices.Cancelamento.RetWS);
     mResp.Lines.Add('-> ' + ACBrNFe1.WebServices.Cancelamento.xMotivo);
  End;
 end;
end;

end.
